package weaverjn.snjt.service.snoa;

package ..deTemp.1732592991858;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;
import weaver.conn.RecordSet;
import weaver.general.BaseBean;
import weaver.general.Util;
import weaver.integration.logging.Logger;
import weaver.integration.logging.LoggerFactory;
import weaver.workflow.webservices.WorkflowBaseInfo;
import weaver.workflow.webservices.WorkflowDetailTableInfo;
import weaver.workflow.webservices.WorkflowMainTableInfo;
import weaver.workflow.webservices.WorkflowRequestInfo;
import weaver.workflow.webservices.WorkflowRequestTableField;
import weaver.workflow.webservices.WorkflowRequestTableRecord;
import weaver.workflow.webservices.WorkflowServiceImpl;
import weaverjn.util.ModUtil;

public class CreateWorkflowService {
  private String tablename;
  
  public String CreateWorkflowService(String json, String ZFILED5, String ZORG) {
    BaseBean baseBean = new BaseBean();
    this.tablename = baseBean.getPropValue("snjt_createworkflowservice", "tablename");
    String nodeid = baseBean.getPropValue("snjt_createworkflowservice", "nodeid");
    String workflowid = baseBean.getPropValue("snjt_createworkflowservice", "workflowid");
    String ywsqmodeid = baseBean.getPropValue("snjt_createworkflowservice", "ywsqmodeid");
    this.logger.info("json 字符串123......" + json);
    this.logger.info("ZFILED5......" + ZFILED5);
    this.logger.info("ZORG......" + ZORG);
    JSONObject jsonObject = JSONObject.parseObject(json);
    JSONObject ReturnWorkflow = new JSONObject();
    JSONObject jbxx = jsonObject.getJSONObject("JBXX");
    this.logger.info("json 字符串......" + jbxx);
    String ZZLCH = Util.null2String(jsonObject.getString("ZZLCH"));
    String ZZJBR = Util.null2String(jsonObject.getString("ZZJBR"));
    String ZZBZR = Util.null2String(jsonObject.getString("ZZBZR"));
    String ZZDBR = Util.null2String(jsonObject.getString("ZZDBR"));
    String BZRBM = Util.null2String(jsonObject.getString("BZRBM"));
    String JBRBM = Util.null2String(jsonObject.getString("JBRBM"));
    String JBRSJ = Util.null2String(jsonObject.getString("JBRSJ"));
    String BZRSJ = Util.null2String(jsonObject.getString("BZRSJ"));
    String BUKRST = Util.null2String(jsonObject.getString("BUKRST"));
    String ZBZDH = Util.null2String(jsonObject.getString("ZBZDH"));
    String ZYWLX = Util.null2String(jsonObject.getString("ZYWLX"));
    String BZZJE = Util.null2String(jsonObject.getString("BZZJE"));
    String BUDAT = Util.null2String(jsonObject.getString("BUDAT"));
    String PRCTRT = Util.null2String(jsonObject.getString("PRCTRT"));
    String MONAT = Util.null2String(jsonObject.getString("MONAT"));
    String ZJSFST = Util.null2String(jsonObject.getString("ZJSFST"));
    String YSBM = Util.null2String(jsonObject.getString("YSBM"));
    String ZYSLXT = Util.null2String(jsonObject.getString("ZYSLXT"));
    String ZBZZY = Util.null2String(jsonObject.getString("ZBZZY"));
    String REQUESTNAME = Util.null2String(jsonObject.getString("REQUESTNAME"));
    String Ywyt = Util.null2String(jsonObject.getString("YWYT"));
    String htyftk = Util.null2String(jsonObject.getString("HTYFTK"));
    String URLDZ = Util.null2String(jsonObject.getString("URLDZ"));
    String yfzcj = Util.null2String(jsonObject.getString("YFZCJ"));
    String ZNEXT = Util.null2String(jsonObject.getString("ZNEXT"));
    String SMGJY = Util.null2String(jsonObject.getString("SMGJY"));
    String ZFCHKMSG = Util.null2String(jsonObject.getString("ZFCHKMSG"));
    String ZBYJJG = Util.null2String(jsonObject.getString("ZBYJJG"));
    String ZSXMS = Util.null2String(jsonObject.getString("ZSXMS"));
    String BZDBZ = Util.null2String(jsonObject.getString("BZDBZ"));
    JSONArray YXXX = jsonObject.getJSONArray("YYXX");
    JSONArray PZTXX = jsonObject.getJSONArray("PZTXX");
    JSONArray PZXS = jsonObject.getJSONArray("PZXS");
    JSONArray HTYX = jsonObject.getJSONArray("HTYX");
    double doubleValue = Util.getDoubleValue(BZZJE);
    if (doubleValue == -1.0D)
      doubleValue = 0.0D; 
    int intValue = Util.getIntValue(BZZJE);
    if (YSBM.equals("") || ZZJBR.equals("") || ZYWLX.equals("") || BZRBM.equals("")) {
      ReturnWorkflow.put("Errcode", "E");
      ReturnWorkflow.put("Errmsg", "必填字段不能为空!");
      return ReturnWorkflow.toJSONString();
    } 
    String ZYWLX1 = baseBean.getPropValue("snjt_createworkflowservice", "ZYWLX") + ZYWLX;
    this.logger.info(ZYWLX1);
    SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd");
    String format = df.format(new Date());
    SimpleDateFormat df1 = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
    String format1 = df1.format(new Date());
    RecordSet qw12 = new RecordSet();
    RecordSet rs = new RecordSet();
    RecordSet rs1 = new RecordSet();
    RecordSet ywsq = new RecordSet();
    RecordSet sqls = new RecordSet();
    RecordSet sqls1 = new RecordSet();
    RecordSet sqls2 = new RecordSet();
    RecordSet sqls3 = new RecordSet();
    RecordSet sqls4 = new RecordSet();
    RecordSet sqls5 = new RecordSet();
    RecordSet sqls6 = new RecordSet();
    RecordSet sqls7 = new RecordSet();
    RecordSet sqlry = new RecordSet();
    RecordSet uf_xsxdw = new RecordSet();
    StringBuilder sbwhry = new StringBuilder();
    StringBuilder sbwhry1 = new StringBuilder();
    JSONArray ywsqjsonarray = new JSONArray();
    ModUtil md = new ModUtil();
    String whrysql = "select whry from uf_xsxdw where gsdm = '" + ZORG + "' ";
    this.logger.info("----whrysql:" + whrysql);
    uf_xsxdw.execute(whrysql);
    if (uf_xsxdw.next()) {
      String whry = Util.null2String(uf_xsxdw.getString("whry"));
      String inCond = getInCond(whry);
      String whrysql1 = "select lastname,loginid,workcode,mobile from hrmresource where id in(" + inCond + ")";
      this.logger.info("----whrysql1:" + whrysql1);
      sqls5.execute(whrysql1);
      while (sqls5.next()) {
        String lastname = Util.null2String(sqls5.getString("lastname"));
        String loginid = Util.null2String(sqls5.getString("loginid"));
        String workcode = Util.null2String(sqls5.getString("workcode"));
        String mobile = Util.null2String(sqls5.getString("mobile"));
        sbwhry.append(lastname).append(",").append(workcode).append(",");
        sbwhry1.append("维护人员:").append(lastname).append(",账号:").append(loginid).append("联系方式:").append(mobile).append(",");
      } 
    } 
    String sbstr = "";
    if (sbwhry.toString().endsWith(",")) {
      sbstr = sbwhry.toString().substring(0, sbwhry.toString().length() - 1);
    } else {
      sbstr = sbwhry.toString();
    } 
    String sbstr1 = "";
    if (sbwhry1.toString().endsWith(",")) {
      sbstr1 = sbwhry1.toString().substring(0, sbwhry1.toString().length() - 1);
    } else {
      sbstr1 = sbwhry1.toString();
    } 
    this.logger.info("----sbstr:" + sbstr);
    this.logger.info("----sbstr:" + sbstr1);
    if (!ZZLCH.equals("")) {
      String sqlsid = "select id from " + this.tablename + " where requestid = '" + ZZLCH + "'";
      this.logger.info(sqlsid);
      qw12.execute(sqlsid);
      if (qw12.next()) {
        String sid = Util.null2String(qw12.getString("id"));
        String delete_sql1 = "delete from " + this.tablename + "_dt2 where mainid = '" + sid + "'";
        String delete_sql4 = "delete from " + this.tablename + "_dt3 where mainid = '" + sid + "'";
        String delete_sql2 = "delete from " + this.tablename + "_dt9 where mainid = '" + sid + "'";
        String delete_sql3 = "delete from " + this.tablename + "_dt10 where mainid = '" + sid + "'";
        this.logger.info(delete_sql1);
        this.logger.info(delete_sql2);
        this.logger.info(delete_sql4);
        this.logger.info(delete_sql3);
        rs.execute(delete_sql1);
        rs.execute(delete_sql2);
        rs.execute(delete_sql3);
        rs.execute(delete_sql4);
      } 
    } 
    try {
      List<WorkflowRequestTableField> workflowRequestTableFieldList = new ArrayList<>();
      addFieldInfo(workflowRequestTableFieldList, "ZZJBR", getuserid(ZZJBR));
      addFieldInfo(workflowRequestTableFieldList, "ZZBZR", getuserid(ZZBZR));
      addFieldInfo(workflowRequestTableFieldList, "ZZDBR", getuserid(ZZDBR));
      addFieldInfo(workflowRequestTableFieldList, "BZRBM", getbmid(BZRBM));
      addFieldInfo(workflowRequestTableFieldList, "JBRBM", getbmid(JBRBM));
      addFieldInfo(workflowRequestTableFieldList, "JBRSJ", JBRSJ);
      addFieldInfo(workflowRequestTableFieldList, "BZRSJ", BZRSJ);
      addFieldInfo(workflowRequestTableFieldList, "BUKRST", BUKRST);
      addFieldInfo(workflowRequestTableFieldList, "ZBZDH", ZBZDH);
      addFieldInfo(workflowRequestTableFieldList, "ZYWLX", ZYWLX1);
      addFieldInfo(workflowRequestTableFieldList, "BZZJE", BZZJE);
      addFieldInfo(workflowRequestTableFieldList, "BUDAT", BUDAT);
      addFieldInfo(workflowRequestTableFieldList, "PRCTRT", PRCTRT);
      addFieldInfo(workflowRequestTableFieldList, "MONAT", MONAT);
      addFieldInfo(workflowRequestTableFieldList, "ZJSFST", ZJSFST);
      addFieldInfo(workflowRequestTableFieldList, "YSBM", getbmid(YSBM));
      addFieldInfo(workflowRequestTableFieldList, "ZYSLXT", ZYSLXT);
      addFieldInfo(workflowRequestTableFieldList, "ZBZZY", ZBZZY);
      addFieldInfo(workflowRequestTableFieldList, "Ywyt", Ywyt);
      addFieldInfo(workflowRequestTableFieldList, "htyftk", htyftk);
      addFieldInfo(workflowRequestTableFieldList, "Urldz", URLDZ);
      addFieldInfo(workflowRequestTableFieldList, "yfzcj", yfzcj);
      addFieldInfo(workflowRequestTableFieldList, "ZNEXT", ZNEXT);
      addFieldInfo(workflowRequestTableFieldList, "MANDT", ZFILED5);
      addFieldInfo(workflowRequestTableFieldList, "SMGJY", SMGJY);
      addFieldInfo(workflowRequestTableFieldList, "ssdw", getfb(YSBM));
      addFieldInfo(workflowRequestTableFieldList, "ZSQRQ", format1);
      addFieldInfo(workflowRequestTableFieldList, "ZORG", ZORG);
      addFieldInfo(workflowRequestTableFieldList, "ZBYJJG", ZBYJJG);
      addFieldInfo(workflowRequestTableFieldList, "ZYSLXT", ZYSLXT);
      addFieldInfo(workflowRequestTableFieldList, "ZSXMS", ZSXMS);
      addFieldInfo(workflowRequestTableFieldList, "BZDBZ", BZDBZ);
      String ywlxpd = "";
      String uf_cjrsplj_sql = "select id from uf_cjrsplj where gsdm = '" + ZORG + "' and ywlxbm = '" + ZYWLX + "'";
      this.logger.info(uf_cjrsplj_sql);
      sqls3.execute(uf_cjrsplj_sql);
      if (sqls3.next()) {
        ywlxpd = "1";
      } else {
        ywlxpd = "0";
      } 
      addFieldInfo(workflowRequestTableFieldList, "ywlxpd", ywlxpd);
      if (ywlxpd.equals("0")) {
        Set<String> list = new HashSet<>();
        Set<String> bzrbmlist = new HashSet<>();
        Map<String, String> hqmap = new HashMap<>();
        String sql = "select id from uf_dwspjdgk where gsdm = '" + ZORG + "'";
        this.logger.info(sql);
        rs.execute(sql);
        rs.next();
        String id = Util.null2String(rs.getString("id"));
        Set<String> set = new HashSet<>();
        if (!Ywyt.equals("")) {
          String sql_1 = "select id from uf_dwspjdgk_dt1 where mainid = '" + id + "' and  instr(','||to_char(bm)||',', '," + getbmid(YSBM) + ",')>0 and ywlx = '" + ZYWLX1 + "' and " + sqlCondition("ywyt", Ywyt);
          String sql_2 = "select id from uf_dwspjdgk_dt1 where mainid = '" + id + "' and bm is null and ywlx = '" + ZYWLX1 + "' and " + sqlCondition("ywyt", Ywyt);
          String sql_3 = "select id from uf_dwspjdgk_dt1 where mainid = '" + id + "' and instr(','||to_char(bm)||',', '," + getbmid(YSBM) + ",')>0 and ywlx = '" + ZYWLX1 + "' and ywyt is null ";
          String sql_4 = "select id from uf_dwspjdgk_dt1 where mainid = '" + id + "' and bm is null and ywlx = '" + ZYWLX1 + "' and ywyt is null ";
          String sql_5 = "select id from uf_dwspjdgk_dt1 where mainid = '" + id + "' and bm is null and ywlx is null and ywyt is null ";
          sqls.execute(sql_1);
          sqls1.execute(sql_2);
          sqls2.execute(sql_3);
          sqls3.execute(sql_4);
          sqls4.execute(sql_5);
          this.logger.info(sql_1);
          this.logger.info(sql_2);
          this.logger.info(sql_3);
          this.logger.info(sql_4);
          this.logger.info(sql_5);
          if (sqls.next()) {
            String sid = Util.null2String(sqls.getString("id"));
            set.add(sid);
          } else if (sqls1.next()) {
            String sid = Util.null2String(sqls1.getString("id"));
            set.add(sid);
          } else if (sqls2.next()) {
            String sid = Util.null2String(sqls2.getString("id"));
            set.add(sid);
          } else if (sqls3.next()) {
            String sid = Util.null2String(sqls3.getString("id"));
            set.add(sid);
          } else if (sqls4.next()) {
            String sid = Util.null2String(sqls4.getString("id"));
            set.add(sid);
          } 
        } else {
          String sql_1 = "select id from uf_dwspjdgk_dt1 where mainid = '" + id + "' and  instr(','||to_char(bm)||',', '," + getbmid(YSBM) + ",')>0 and ywlx = '" + ZYWLX1 + "' and ywyt is null";
          String sql_2 = "select id from uf_dwspjdgk_dt1 where mainid = '" + id + "' and bm is null and ywlx = '" + ZYWLX1 + "' and ywyt is null";
          String sql_3 = "select id from uf_dwspjdgk_dt1 where mainid = '" + id + "' and bm is null  and ywlx is null and ywyt is null";
          this.logger.info(sql_1);
          this.logger.info(sql_2);
          this.logger.info(sql_3);
          sqls.execute(sql_1);
          sqls1.execute(sql_2);
          sqls2.execute(sql_3);
          if (sqls.next()) {
            String sid = Util.null2String(sqls.getString("id"));
            set.add(sid);
          } else if (sqls1.next()) {
            String sid = Util.null2String(sqls1.getString("id"));
            set.add(sid);
          } else if (sqls2.next()) {
            String sid = Util.null2String(sqls2.getString("id"));
            set.add(sid);
          } 
        } 
        String str = String.join(",", (Iterable)set);
        String inCond = getInCond(str);
        String sql1 = "select * from uf_dwspjdgk_dt1 where id in(" + inCond + ")";
        this.logger.info(sql1);
        rs.execute(sql1);
        while (rs.next()) {
          String slzy = Util.null2String(rs.getString("slzy"));
          String dbr = Util.null2String(rs.getString("dbr"));
          String ywbmfzr = Util.null2String(rs.getString("ywbmfzr"));
          String ywbmdesxsprfz = Util.null2String(rs.getString("ywbmdesxsprfz"));
          String ysbmshr = Util.null2String(rs.getString("ysbmshr"));
          String ysbmfzr = Util.null2String(rs.getString("ysbmfzr"));
          String fgld = Util.null2String(rs.getString("fgld"));
          String cwfhr = Util.null2String(rs.getString("cwfhr"));
          String cwbmfzr = Util.null2String(rs.getString("cwbmfzr"));
          String cwzjzhjs = Util.null2String(rs.getString("cwzjzhjs"));
          String dwfzr = Util.null2String(rs.getString("dwfzr"));
          String dwfzr1 = Util.null2String(rs.getString("dwfzr1"));
          String dsc = Util.null2String(rs.getString("dsc"));
          String kpy = Util.null2String(rs.getString("kpy"));
          String sjgscwbmfz = Util.null2String(rs.getString("sjgscwbmfz"));
          String sjgscwfzr = Util.null2String(rs.getString("sjgscwfzr"));
          String sjgscwzjzhjs = Util.null2String(rs.getString("sjgscwzjzhjs"));
          String sjgsdwfzr = Util.null2String(rs.getString("sjgsdwfzr"));
          String sjgsdsc = Util.null2String(rs.getString("sjgsdsc"));
          String ejgscwbmfz = Util.null2String(rs.getString("ejgscwbmfz"));
          String ejgscwbmfzr = Util.null2String(rs.getString("ejgscwbmfzr"));
          String ejgscwzjzhjs = Util.null2String(rs.getString("ejgscwzjzhjs"));
          String ejgsdwfzr = Util.null2String(rs.getString("ejgsdwfzr"));
          String ejgsdsc = Util.null2String(rs.getString("ejgsdsc"));
          String zjfhr = Util.null2String(rs.getString("zjfhr"));
          String fkzj = Util.null2String(rs.getString("fkzj"));
          String zjzj = Util.null2String(rs.getString("zjzj"));
          String ejgsfkzj = Util.null2String(rs.getString("ejgsfkzj"));
          String ejgszjzj = Util.null2String(rs.getString("ejgszjzj"));
          String smzy = Util.null2String(rs.getString("smzy"));
          String bmfgld = Util.null2String(rs.getString("bmfgld"));
          String xzzy = Util.null2String(rs.getString("xzzy"));
          String dzbfzr = Util.null2String(rs.getString("dzbfzr"));
          String jgdwzzy = Util.null2String(rs.getString("jgdwzzy"));
          String jgdwzzwy = Util.null2String(rs.getString("jgdwzzwy"));
          String jgdwfzr = Util.null2String(rs.getString("jgdwfzr"));
          String gjywzxfzr = Util.null2String(rs.getString("gjywzxfzr"));
          String gjywzxzr = Util.null2String(rs.getString("gjywzxzr"));
          String zhbgsfzr = Util.null2String(rs.getString("zhbgsfzr"));
          String fksh = Util.null2String(rs.getString("fksh"));
          String yljd1 = Util.null2String(rs.getString("yljd1"));
          String yljd2 = Util.null2String(rs.getString("yljd2"));
          String yljd3 = Util.null2String(rs.getString("yljd3"));
          String yljd4 = Util.null2String(rs.getString("yljd4"));
          String yljd5 = Util.null2String(rs.getString("yljd5"));
          String yljd6 = Util.null2String(rs.getString("yljd6"));
          String yljd7 = Util.null2String(rs.getString("yljd7"));
          String yljd8 = Util.null2String(rs.getString("yljd8"));
          String yljd9 = Util.null2String(rs.getString("yljd9"));
          String yljd10 = Util.null2String(rs.getString("yljd10"));
          String yljd11 = Util.null2String(rs.getString("yljd11"));
          String yljd12 = Util.null2String(rs.getString("yljd12"));
          String yljd13 = Util.null2String(rs.getString("yljd13"));
          String yljd14 = Util.null2String(rs.getString("yljd14"));
          String yljd15 = Util.null2String(rs.getString("yljd15"));
          String yljd16 = Util.null2String(rs.getString("yljd16"));
          String yljd17 = Util.null2String(rs.getString("yljd17"));
          String yljd18 = Util.null2String(rs.getString("yljd18"));
          String yljd19 = Util.null2String(rs.getString("yljd19"));
          String yljd20 = Util.null2String(rs.getString("yljd20"));
          hqmap.put("slzyhq", null0(Util.null2String(rs.getString("slzyhq"))));
          hqmap.put("ywbmfzrhq", null0(Util.null2String(rs.getString("ywbmfzrhq"))));
          hqmap.put("ywbmdesxsprfzhq", null0(Util.null2String(rs.getString("ywbmdesxsprfzhq"))));
          hqmap.put("ysbmshrhq", null0(Util.null2String(rs.getString("ysbmshrhq"))));
          hqmap.put("ysbmfzrhq", null0(Util.null2String(rs.getString("ysbmfzrhq"))));
          hqmap.put("fgldhq", null0(Util.null2String(rs.getString("fgldhq"))));
          hqmap.put("zjfhrhq", null0(Util.null2String(rs.getString("zjfhrhq"))));
          hqmap.put("cwfhrhq", null0(Util.null2String(rs.getString("cwfhrhq"))));
          hqmap.put("fkzjhq", null0(Util.null2String(rs.getString("fkzjhq"))));
          hqmap.put("zjzjhq", null0(Util.null2String(rs.getString("zjzjhq"))));
          hqmap.put("cwbmfzrhq", null0(Util.null2String(rs.getString("cwbmfzrhq"))));
          hqmap.put("cwzjzhjshq", null0(Util.null2String(rs.getString("cwzjzhjshq"))));
          hqmap.put("dwfzrhq", null0(Util.null2String(rs.getString("dwfzrhq"))));
          hqmap.put("dwfzrhq1", null0(Util.null2String(rs.getString("dwfzrhq1"))));
          hqmap.put("dschq", null0(Util.null2String(rs.getString("dschq"))));
          hqmap.put("kpyhq", null0(Util.null2String(rs.getString("kpyhq"))));
          hqmap.put("sjgscwbmfzhq", null0(Util.null2String(rs.getString("sjgscwbmfzhq"))));
          hqmap.put("sjgscwfzrhq", null0(Util.null2String(rs.getString("sjgscwfzrhq"))));
          hqmap.put("sjgscwzjzhjshq", null0(Util.null2String(rs.getString("sjgscwzjzhjshq"))));
          hqmap.put("sjgsdwfzrhq", null0(Util.null2String(rs.getString("sjgsdwfzrhq"))));
          hqmap.put("sjgsdschq", null0(Util.null2String(rs.getString("sjgsdschq"))));
          hqmap.put("ejgsfkzjhq", null0(Util.null2String(rs.getString("ejgsfkzjhq"))));
          hqmap.put("ejgszjzjhq", null0(Util.null2String(rs.getString("ejgszjzjhq"))));
          hqmap.put("ejgscwbmfzhq", null0(Util.null2String(rs.getString("ejgscwbmfzhq"))));
          hqmap.put("ejgscwbmfzrhq", null0(Util.null2String(rs.getString("ejgscwbmfzrhq"))));
          hqmap.put("ejgscwzjzhjshq", null0(Util.null2String(rs.getString("ejgscwzjzhjshq"))));
          hqmap.put("ejgsdwfzrhq", null0(Util.null2String(rs.getString("ejgsdwfzrhq"))));
          hqmap.put("ejgsdschq", null0(Util.null2String(rs.getString("ejgsdschq"))));
          hqmap.put("Smzyhq", null0(Util.null2String(rs.getString("Smzyhq"))));
          hqmap.put("bmfgldhq", null0(Util.null2String(rs.getString("bmfgldhq"))));
          hqmap.put("xzzyhq", null0(Util.null2String(rs.getString("xzzyhq"))));
          hqmap.put("dzbfzrhq", null0(Util.null2String(rs.getString("dzbfzrhq"))));
          hqmap.put("jgdwzzyhq", null0(Util.null2String(rs.getString("jgdwzzyhq"))));
          hqmap.put("jgdwzzwyhq", null0(Util.null2String(rs.getString("jgdwzzwyhq"))));
          hqmap.put("jgdwfzrhq", null0(Util.null2String(rs.getString("jgdwfzrhq"))));
          hqmap.put("gjywzxfzrhq", null0(Util.null2String(rs.getString("gjywzxfzrhq"))));
          hqmap.put("gjywzxzrhq", null0(Util.null2String(rs.getString("gjywzxzrhq"))));
          hqmap.put("zhbgsfzrhq", null0(Util.null2String(rs.getString("zhbgsfzrhq"))));
          hqmap.put("fkshhq", null0(Util.null2String(rs.getString("fkshhq"))));
          hqmap.put("yljd1hq", null0(Util.null2String(rs.getString("yljd1hq"))));
          hqmap.put("yljd2hq", null0(Util.null2String(rs.getString("yljd2hq"))));
          hqmap.put("yljd3hq", null0(Util.null2String(rs.getString("yljd3hq"))));
          hqmap.put("yljd4hq", null0(Util.null2String(rs.getString("yljd4hq"))));
          hqmap.put("yljd5hq", null0(Util.null2String(rs.getString("yljd5hq"))));
          hqmap.put("yljd6hq", null0(Util.null2String(rs.getString("yljd6hq"))));
          hqmap.put("yljd7hq", null0(Util.null2String(rs.getString("yljd7hq"))));
          hqmap.put("yljd8hq", null0(Util.null2String(rs.getString("yljd8hq"))));
          hqmap.put("yljd9hq", null0(Util.null2String(rs.getString("yljd9hq"))));
          hqmap.put("yljd10hq", null0(Util.null2String(rs.getString("yljd10hq"))));
          hqmap.put("yljd11hq", null0(Util.null2String(rs.getString("yljd11hq"))));
          hqmap.put("yljd12hq", null0(Util.null2String(rs.getString("yljd12hq"))));
          hqmap.put("yljd13hq", null0(Util.null2String(rs.getString("yljd13hq"))));
          hqmap.put("yljd14hq", null0(Util.null2String(rs.getString("yljd14hq"))));
          hqmap.put("yljd15hq", null0(Util.null2String(rs.getString("yljd15hq"))));
          hqmap.put("yljd16hq", null0(Util.null2String(rs.getString("yljd16hq"))));
          hqmap.put("yljd17hq", null0(Util.null2String(rs.getString("yljd17hq"))));
          hqmap.put("yljd18hq", null0(Util.null2String(rs.getString("yljd18hq"))));
          hqmap.put("yljd19hq", null0(Util.null2String(rs.getString("yljd19hq"))));
          hqmap.put("yljd20hq", null0(Util.null2String(rs.getString("yljd20hq"))));
          if (slzy.equals("1"))
            bzrbmlist.add("slzy"); 
          if (dbr.equals("1"))
            list.add("dbr"); 
          if (ywbmfzr.equals("1"))
            bzrbmlist.add("ywbmfzr"); 
          bzrbmlist.add("ywbmdesxspr");
          if (ysbmshr.equals("1"))
            list.add("ysbmshr"); 
          if (ysbmfzr.equals("1"))
            list.add("ysbmfzr"); 
          if (fgld.equals("1"))
            list.add("fgld"); 
          if (cwfhr.equals("1"))
            list.add("cwfhr"); 
          if (cwbmfzr.equals("1"))
            list.add("cwbmfzr"); 
          if (cwzjzhjs.equals("1"))
            list.add("cwzjzhjs"); 
          if (dwfzr.equals("1"))
            list.add("dwfzr"); 
          if (dwfzr1.equals("1"))
            list.add("dangwfzr"); 
          if (dsc.equals("1"))
            list.add("dsc"); 
          if (kpy.equals("1"))
            list.add("kpy"); 
          if (sjgscwbmfz.equals("1"))
            list.add("sjgscwbmfz"); 
          if (sjgscwfzr.equals("1"))
            list.add("sjgscwfzr"); 
          if (sjgscwzjzhjs.equals("1"))
            list.add("sjgscwzjzhjs"); 
          if (sjgsdwfzr.equals("1"))
            list.add("sjgsdwfzr"); 
          if (sjgsdsc.equals("1"))
            list.add("sjgsdsc"); 
          if (ejgscwbmfz.equals("1"))
            list.add("ejgscwbmfz"); 
          if (ejgscwbmfzr.equals("1"))
            list.add("ejgscwbmfzr"); 
          if (ejgscwzjzhjs.equals("1"))
            list.add("ejgscwzjzhjs"); 
          if (ejgsdwfzr.equals("1"))
            list.add("ejgsdwfzr"); 
          if (ejgsdsc.equals("1"))
            list.add("ejgsdsc"); 
          if (zjfhr.equals("1"))
            list.add("zjfhr"); 
          if (fkzj.equals("1"))
            list.add("fkzj"); 
          if (zjzj.equals("1"))
            list.add("zjzj"); 
          if (ejgsfkzj.equals("1"))
            list.add("ejgsfkzj"); 
          if (ejgszjzj.equals("1"))
            list.add("ejgszjzj"); 
          if (smzy.equals("1"))
            bzrbmlist.add("smzy"); 
          if (bmfgld.equals("1"))
            bzrbmlist.add("bmfgld"); 
          if (xzzy.equals("1"))
            bzrbmlist.add("xzzy"); 
          if (dzbfzr.equals("1"))
            list.add("dzbfzr"); 
          if (jgdwzzy.equals("1"))
            list.add("jgdwzzy"); 
          if (jgdwzzwy.equals("1"))
            list.add("jgdwzzwy"); 
          if (jgdwfzr.equals("1"))
            list.add("jgdwfzr"); 
          if (gjywzxfzr.equals("1"))
            list.add("gjywzxfzr"); 
          if (gjywzxzr.equals("1"))
            list.add("gjywzxzr"); 
          if (zhbgsfzr.equals("1"))
            list.add("zhbgsfzr"); 
          if (fksh.equals("1"))
            list.add("fksh"); 
          if (yljd1.equals("1"))
            list.add("yljd1"); 
          if (yljd2.equals("1"))
            list.add("yljd2"); 
          if (yljd3.equals("1"))
            list.add("yljd3"); 
          if (yljd4.equals("1"))
            list.add("yljd4"); 
          if (yljd5.equals("1"))
            list.add("yljd5"); 
          if (yljd6.equals("1"))
            list.add("yljd6"); 
          if (yljd7.equals("1"))
            list.add("yljd7"); 
          if (yljd8.equals("1"))
            list.add("yljd8"); 
          if (yljd9.equals("1"))
            list.add("yljd9"); 
          if (yljd10.equals("1"))
            list.add("yljd10"); 
          if (yljd11.equals("1"))
            list.add("yljd11"); 
          if (yljd12.equals("1"))
            list.add("yljd12"); 
          if (yljd13.equals("1"))
            list.add("yljd13"); 
          if (yljd14.equals("1"))
            list.add("yljd14"); 
          if (yljd15.equals("1"))
            list.add("yljd15"); 
          if (yljd16.equals("1"))
            list.add("yljd16"); 
          if (yljd17.equals("1"))
            list.add("yljd17"); 
          if (yljd18.equals("1"))
            list.add("yljd18"); 
          if (yljd19.equals("1"))
            list.add("yljd19"); 
          if (yljd20.equals("1"))
            list.add("yljd20"); 
        } 
        if (list.size() == 0 && bzrbmlist.size() == 0) {
          ReturnWorkflow.put("Errcode", "E");
          ReturnWorkflow.put("Errmsg", "单位审批节点未维护! 请联系本单位审批信息维护人员(" + sbstr1 + ")");
          return ReturnWorkflow.toJSONString();
        } 
        boolean bsgk = false;
        this.logger.info("bsgk......." + bsgk);
        String bsgkywlxsql = "select id from uf_bsgkywlx where ywlxbm = '" + ZYWLX + "'";
        this.logger.info("不受管控业务类型....." + bsgkywlxsql);
        qw12.execute(bsgkywlxsql);
        if (qw12.next()) {
          String uf_bsgkywlxid = Util.null2String(qw12.getString("id"));
          String uf_bsgkywlxsql1 = "select id from uf_bsgkywlx_dt1 where mainid = '" + uf_bsgkywlxid + "' and pcgsdm = '" + ZORG + "'";
          this.logger.info(uf_bsgkywlxsql1);
          sqls.execute(uf_bsgkywlxsql1);
          if (sqls.next()) {
            bsgk = true;
            this.logger.info("bsgk......." + bsgk);
          } 
        } else {
          bsgk = true;
          this.logger.info("bsgk......." + bsgk);
        } 
        this.logger.info("bsgk......." + bsgk);
        if (bsgk) {
          Map<String, String> nkmap = new HashMap<>();
          if (Ywyt.equals("")) {
            String sql_nk1 = "SELECT bb.id,bb.jd,bb.zxje,bb.zdje  FROM uf_dwnkbd aa,uf_dwnkbd_dt1 bb WHERE aa.id = bb.mainid\nAND  aa.gsdm = '" + ZORG + "' AND  instr(','||to_char(ywbm)||',', '," + getbmid(YSBM) + ",')>0 AND instr(','||to_char(ywlxb)||',', '," + ZYWLX1 + ",')>0 and ywyt is  null";
            String sql_nk2 = "SELECT bb.id,bb.jd,bb.zxje,bb.zdje FROM uf_dwnkbd aa,uf_dwnkbd_dt1 bb WHERE aa.id = bb.mainid\nAND  aa.gsdm =  '" + ZORG + "' AND  ywbm is null AND instr(','||to_char(ywlxb)||',', '," + ZYWLX1 + ",')>0 and ywyt is  null";
            String sql_nk3 = "SELECT bb.id,bb.jd,bb.zxje,bb.zdje FROM uf_dwnkbd aa,uf_dwnkbd_dt1 bb WHERE aa.id = bb.mainid\nAND  aa.gsdm  =  '" + ZORG + "' AND  ywbm is null AND ywlxb is null and ywyt is  null";
            String sql_nk4 = "SELECT bb.id,bb.jd,bb.zxje,bb.zdje FROM uf_dwnkbd aa,uf_dwnkbd_dt1 bb WHERE aa.id = bb.mainid\nAND  aa.gsdm  =  '" + ZORG + "' AND  instr(','||to_char(ywbm)||',', '," + getbmid(YSBM) + ",')>0 AND ywlxb is null and ywyt is  null";
            this.logger.info(sql_nk1);
            this.logger.info(sql_nk2);
            this.logger.info(sql_nk3);
            this.logger.info(sql_nk4);
            sqls.execute(sql_nk1);
            sqls1.execute(sql_nk2);
            sqls2.execute(sql_nk3);
            sqls3.execute(sql_nk4);
            if (sqls.getCounts() > 0)
              while (sqls.next()) {
                String sid = Util.null2String(sqls.getString("id"));
                String jd = Util.null2String(sqls.getString("jd"));
                double zxje = Util.getDoubleValue(sqls.getString("zxje"));
                double zdje = Util.getDoubleValue(sqls.getString("zdje"));
                if (!sid.equals("") && !jd.equals("")) {
                  if (zdje < 0.0D)
                    zdje = Double.MAX_VALUE; 
                  if (!nkmap.containsKey(jd)) {
                    this.logger.info("sqls添加....jd.." + jd + ",sid..." + sid);
                    nkmap.put(jd, sid);
                  } 
                } 
              }  
            if (sqls1.getCounts() > 0)
              while (sqls1.next()) {
                String sid = Util.null2String(sqls1.getString("id"));
                String jd = Util.null2String(sqls1.getString("jd"));
                double zxje = Util.getDoubleValue(sqls1.getString("zxje"));
                double zdje = Util.getDoubleValue(sqls1.getString("zdje"));
                if (!sid.equals("") && !jd.equals("")) {
                  if (zdje < 0.0D)
                    zdje = Double.MAX_VALUE; 
                  if (!nkmap.containsKey(jd)) {
                    this.logger.info("sqls1添加....jd.." + jd + ",sid..." + sid);
                    nkmap.put(jd, sid);
                  } 
                } 
              }  
            if (sqls3.getCounts() > 0)
              while (sqls3.next()) {
                String sid = Util.null2String(sqls3.getString("id"));
                String jd = Util.null2String(sqls3.getString("jd"));
                double zxje = Util.getDoubleValue(sqls3.getString("zxje"));
                double zdje = Util.getDoubleValue(sqls3.getString("zdje"));
                if (!sid.equals("") && !jd.equals("")) {
                  if (zdje < 0.0D)
                    zdje = Double.MAX_VALUE; 
                  if (!nkmap.containsKey(jd)) {
                    this.logger.info("sqls3添加....jd.." + jd + ",sid..." + sid);
                    nkmap.put(jd, sid);
                  } 
                } 
              }  
            if (sqls2.getCounts() > 0)
              while (sqls2.next()) {
                String sid = Util.null2String(sqls2.getString("id"));
                String jd = Util.null2String(sqls2.getString("jd"));
                double zxje = Util.getDoubleValue(sqls2.getString("zxje"));
                double zdje = Util.getDoubleValue(sqls2.getString("zdje"));
                if (!sid.equals("") && !jd.equals("")) {
                  if (zdje < 0.0D)
                    zdje = Double.MAX_VALUE; 
                  if (!nkmap.containsKey(jd)) {
                    this.logger.info("sqls2添加....jd.." + jd + ",sid..." + sid);
                    nkmap.put(jd, sid);
                  } 
                } 
              }  
          } else {
            String sql_nk1 = "SELECT bb.id,bb.jd,bb.zxje,bb.zdje FROM uf_dwnkbd aa,uf_dwnkbd_dt1 bb WHERE aa.id = bb.mainid\nAND  aa.gsdm = '" + ZORG + "' AND  instr(','||to_char(ywbm)||',', '," + getbmid(YSBM) + ",')>0 AND instr(','||to_char(ywlxb)||',', '," + ZYWLX1 + ",')>0 and " + sqlCondition("ywyt", Ywyt);
            String sql_nk2 = "SELECT bb.id,bb.jd,bb.zxje,bb.zdje FROM uf_dwnkbd aa,uf_dwnkbd_dt1 bb WHERE aa.id = bb.mainid\nAND  aa.gsdm =  '" + ZORG + "' AND  ywbm is null AND instr(','||to_char(ywlxb)||',', '," + ZYWLX1 + ",')>0  and " + sqlCondition("ywyt", Ywyt);
            String sql_nk3 = "SELECT bb.id,bb.jd,bb.zxje,bb.zdje FROM uf_dwnkbd aa,uf_dwnkbd_dt1 bb WHERE aa.id = bb.mainid\nAND  aa.gsdm =  '" + ZORG + "' AND   instr(','||to_char(ywbm)||',', '," + getbmid(YSBM) + ",')>0 AND instr(','||to_char(ywlxb)||',', '," + ZYWLX1 + ",')>0  and ywyt is null";
            String sql_nk4 = "SELECT bb.id,bb.jd,bb.zxje,bb.zdje FROM uf_dwnkbd aa,uf_dwnkbd_dt1 bb WHERE aa.id = bb.mainid\nAND  aa.gsdm  =  '" + ZORG + "' AND  ywbm is null AND  instr(','||to_char(ywlxb)||',', '," + ZYWLX1 + ",')>0  and ywyt is  null";
            String sql_nk5 = "SELECT bb.id,bb.jd,bb.zxje,bb.zdje FROM uf_dwnkbd aa,uf_dwnkbd_dt1 bb WHERE aa.id = bb.mainid\nAND  aa.gsdm  =  '" + ZORG + "' AND  ywbm is null AND ywlxb is null and ywyt is  null";
            String sql_nk6 = "SELECT bb.id,bb.jd,bb.zxje,bb.zdje FROM uf_dwnkbd aa,uf_dwnkbd_dt1 bb WHERE aa.id = bb.mainid\nAND  aa.gsdm  =  '" + ZORG + "' AND  instr(','||to_char(ywbm)||',', '," + getbmid(YSBM) + ",')>0 AND ywlxb is null and ywyt is  NULL";
            this.logger.info(sql_nk1);
            this.logger.info(sql_nk2);
            this.logger.info(sql_nk3);
            this.logger.info(sql_nk4);
            this.logger.info(sql_nk5);
            this.logger.info(sql_nk6);
            sqls.execute(sql_nk1);
            sqls1.execute(sql_nk2);
            sqls2.execute(sql_nk3);
            sqls3.execute(sql_nk4);
            sqls4.execute(sql_nk5);
            sqls5.execute(sql_nk6);
            this.logger.info("sqls.getCounts()....." + sqls.getCounts());
            if (sqls.getCounts() > 0)
              while (sqls.next()) {
                String sid = Util.null2String(sqls.getString("id"));
                String jd = Util.null2String(sqls.getString("jd"));
                double zxje = Util.getDoubleValue(sqls.getString("zxje"));
                double zdje = Util.getDoubleValue(sqls.getString("zdje"));
                this.logger.info("sid....." + sid);
                this.logger.info("jd....." + jd);
                this.logger.info("zxje....." + zxje);
                if (!sid.equals("") && !jd.equals("")) {
                  if (zdje < 0.0D)
                    zdje = Double.MAX_VALUE; 
                  this.logger.info("zdje....." + zdje);
                  if (!nkmap.containsKey(jd)) {
                    nkmap.put(jd, sid);
                    this.logger.info("sqls添加....");
                  } 
                } 
              }  
            if (sqls1.getCounts() > 0)
              while (sqls1.next()) {
                String sid = Util.null2String(sqls1.getString("id"));
                String jd = Util.null2String(sqls1.getString("jd"));
                double zxje = Util.getDoubleValue(sqls1.getString("zxje"));
                double zdje = Util.getDoubleValue(sqls1.getString("zdje"));
                this.logger.info("sid1....." + sid);
                this.logger.info("jd1....." + jd);
                this.logger.info("zxje1....." + zxje);
                if (!sid.equals("") && !jd.equals("")) {
                  if (zdje < 0.0D)
                    zdje = Double.MAX_VALUE; 
                  this.logger.info("zdje1....." + zdje);
                  this.logger.info(Boolean.valueOf((zxje > doubleValue || doubleValue > zdje)));
                  if (!nkmap.containsKey(jd)) {
                    nkmap.put(jd, sid);
                    this.logger.info("sqls1添加....");
                  } 
                } 
              }  
            if (sqls2.getCounts() > 0)
              while (sqls2.next()) {
                String sid = Util.null2String(sqls2.getString("id"));
                String jd = Util.null2String(sqls2.getString("jd"));
                double zxje = Util.getDoubleValue(sqls2.getString("zxje"));
                double zdje = Util.getDoubleValue(sqls2.getString("zdje"));
                this.logger.info("sid2....." + sid);
                this.logger.info("jd2....." + jd);
                this.logger.info("zxje2....." + zxje);
                if (!sid.equals("") && !jd.equals("")) {
                  if (zdje < 0.0D)
                    zdje = Double.MAX_VALUE; 
                  this.logger.info("zdje2....." + zdje);
                  if (!nkmap.containsKey(jd)) {
                    nkmap.put(jd, sid);
                    this.logger.info("sqls2添加....");
                  } 
                } 
              }  
            if (sqls3.getCounts() > 0)
              while (sqls3.next()) {
                String sid = Util.null2String(sqls3.getString("id"));
                String jd = Util.null2String(sqls3.getString("jd"));
                double zxje = Util.getDoubleValue(sqls3.getString("zxje"));
                double zdje = Util.getDoubleValue(sqls3.getString("zdje"));
                this.logger.info("sid3....." + sid);
                this.logger.info("jd3....." + jd);
                this.logger.info("zxje3....." + zxje);
                if (!sid.equals("") && !jd.equals("")) {
                  if (zdje < 0.0D)
                    zdje = Double.MAX_VALUE; 
                  this.logger.info("zdje3....." + zdje);
                  if (!nkmap.containsKey(jd)) {
                    nkmap.put(jd, sid);
                    this.logger.info("sqls3添加....");
                  } 
                } 
              }  
            if (sqls5.getCounts() > 0)
              while (sqls5.next()) {
                String sid = Util.null2String(sqls5.getString("id"));
                String jd = Util.null2String(sqls5.getString("jd"));
                double zxje = Util.getDoubleValue(sqls5.getString("zxje"));
                double zdje = Util.getDoubleValue(sqls5.getString("zdje"));
                this.logger.info("sid4....." + sid);
                this.logger.info("jd4....." + jd);
                this.logger.info("zxje4....." + zxje);
                if (!sid.equals("") && !jd.equals("")) {
                  if (zdje < 0.0D)
                    zdje = Double.MAX_VALUE; 
                  this.logger.info("zdje4....." + zdje);
                  if (!nkmap.containsKey(jd)) {
                    nkmap.put(jd, sid);
                    this.logger.info("sqls4添加....");
                  } 
                } 
              }  
            if (sqls4.getCounts() > 0)
              while (sqls4.next()) {
                String sid = Util.null2String(sqls4.getString("id"));
                String jd = Util.null2String(sqls4.getString("jd"));
                double zxje = Util.getDoubleValue(sqls4.getString("zxje"));
                double zdje = Util.getDoubleValue(sqls4.getString("zdje"));
                this.logger.info("sid5....." + sid);
                this.logger.info("jd5....." + jd);
                this.logger.info("zxje5....." + zxje);
                if (!sid.equals("") && !jd.equals("")) {
                  if (zdje < 0.0D)
                    zdje = Double.MAX_VALUE; 
                  this.logger.info("zdje5....." + zdje);
                  if (!nkmap.containsKey(jd)) {
                    nkmap.put(jd, sid);
                    this.logger.info("sqls5添加....");
                  } 
                } 
              }  
          } 
          StringBuilder ytset = new StringBuilder();
          for (Map.Entry<String, String> entry : nkmap.entrySet()) {
            String mapKey = entry.getKey();
            String mapValue = entry.getValue();
            ytset.append(mapValue).append(",");
            this.logger.info("节点...." + mapKey + ",..ID.." + mapValue);
          } 
          String ytsetString = "";
          this.logger.info("内控............" + ytset.toString());
          if (ytset.toString().endsWith(",")) {
            ytsetString = ytset.toString().substring(0, ytset.toString().length() - 1);
          } else {
            ytsetString = ytset.toString();
          } 
          String nkinCond = getInCond(ytsetString);
          this.logger.info("nkinCond............" + nkinCond);
          String sqlnksj = "SELECT jd,zxje,zdje FROM uf_dwnkbd_dt1  where id in(" + nkinCond + ")";
          this.logger.info(sqlnksj);
          sqls.execute(sqlnksj);
          Map<String, Boolean> map2022 = new HashMap<>();
          while (sqls.next()) {
            String jd = Util.null2String(sqls.getString("jd"));
            double zxje = Util.getDoubleValue(sqls.getString("zxje"));
            double zdje = Util.getDoubleValue(sqls.getString("zdje"));
            this.logger.info("节点.........." + jd);
            this.logger.info("zxje.........." + zxje);
            this.logger.info("zdje.........." + zdje);
            this.logger.info("intValue.........." + doubleValue);
            if (zdje < 0.0D)
              zdje = Double.MAX_VALUE; 
            if (zxje > doubleValue || doubleValue > zdje) {
              this.logger.info("金额区间判断成立..." + jd);
              if (jd.equals("4"))
                list.remove("dsc"); 
              if (jd.equals("3"))
                list.remove("dangwfzr"); 
              if (jd.equals("2"))
                list.remove("dwfzr"); 
              if (jd.equals("1"))
                list.remove("cwzjzhjs"); 
              if (jd.equals("0"))
                list.remove("fgld"); 
              if (jd.equals("5"))
                list.remove("ejgsfkzj"); 
              if (jd.equals("6"))
                list.remove("ejgszjzj"); 
              if (jd.equals("7"))
                list.remove("ejgsdsc"); 
              if (jd.equals("8"))
                list.remove("ejgsdwfzr"); 
              if (jd.equals("9"))
                list.remove("sjgscwzjzhjs"); 
              if (jd.equals("10"))
                list.remove("sjgsdsc"); 
            } 
          } 
        } 
        if (list.size() == 0 && bzrbmlist.size() == 0) {
          ReturnWorkflow.put("Errcode", "E");
          ReturnWorkflow.put("Errmsg", "单位审批节点未维护! 请联系本单位审批信息维护人员(" + sbstr1 + ")");
          return ReturnWorkflow.toJSONString();
        } 
        Set<String> hbset = new HashSet<>();
        Set<String> hbset1 = new HashSet<>();
        Set<String> hbset2 = new HashSet<>();
        Map<String, String> newhbset2 = new HashMap<>();
        hbset.addAll(list);
        hbset.addAll(bzrbmlist);
        String sql2 = "select id from uf_bmjsryxj where dw = '" + getfb(YSBM) + "'";
        this.logger.info(sql2);
        qw12.execute(sql2);
        qw12.next();
        String uf_bmjsryxjid = Util.null2String(qw12.getString("id"));
        String sql21 = "select id from uf_bmjsryxj where dw = '" + getfb(BZRBM) + "'";
        this.logger.info(sql21);
        qw12.execute(sql21);
        qw12.next();
        String BZRBMsql = Util.null2String(qw12.getString("id"));
        if (YSBM.equals("00900091") && BZRBM.equals("00008001"))
          addFieldInfo(workflowRequestTableFieldList, "bmfgld1", getuserid("01040005")); 
        StringBuilder sbry = new StringBuilder();
        String newZZJBR = "0";
        sql2 = "select * from uf_bmjsryxj_dt1 where mainid = '" + uf_bmjsryxjid + "' and bm = '" + getbmid(YSBM) + "'";
        this.logger.info(sql2);
        rs1.execute(sql2);
        if (rs1.next())
          for (String sun : list) {
            String sun1 = "";
            sun1 = Util.null2String(rs1.getString(sun));
            this.logger.info("sun.....0fgld....." + sun);
            this.logger.info("sun1....0fgld......" + sun1);
            String fgldsql = "select id from uf_dbsfgldb where gsdm = '" + ZORG + "'";
            this.logger.info("fgldsql......" + fgldsql);
            qw12.execute(fgldsql);
            if (qw12.next()) {
              Set<String> fgldset = new HashSet<>();
              String sjgscwzjzhjs = Util.null2String(qw12.getString("id"));
              if (!Ywyt.equals("")) {
                String[] arrayOfString = Ywyt.split(",");
                for (int b = 0; b < arrayOfString.length; b++) {
                  String sjgsdwfzr = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and instr(','||to_char(bmmc)||',', '," + YSBM + ",')>0   and ywyt = '" + arrayOfString[b] + "' and lzqd = '" + ZYSLXT + "' and xzjd = '" + sun + "'";
                  String sjgsdwfzr1 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and instr(','||to_char(bmmc)||',', '," + YSBM + ",')>0   and ywyt is null  and lzqd is null  and xzjd = '" + sun + "'";
                  String sjgsdwfzr3 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and bmmc is null   and ywyt = '" + arrayOfString[b] + "' and lzqd is null  and xzjd = '" + sun + "'";
                  String sjgsdwfzr4 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and bmmc is null   and ywyt is null and lzqd = '" + ZYSLXT + "'  and xzjd = '" + sun + "'";
                  String sjgsdwfzr5 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and instr(','||to_char(bmmc)||',', '," + YSBM + ",')>0   and ywyt = '" + arrayOfString[b] + "' and lzqd is null  and xzjd = '" + sun + "'";
                  String sjgsdwfzr6 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and instr(','||to_char(bmmc)||',', '," + YSBM + ",')>0   and ywyt is null and lzqd  = '" + ZYSLXT + "'  and xzjd = '" + sun + "'";
                  String sjgsdwfzr7 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and bmmc is null  and ywyt = '" + arrayOfString[b] + "'  and lzqd  = '" + ZYSLXT + "'  and xzjd = '" + sun + "'";
                  String sjgsdwfzr2 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and bmmc is null   and ywyt is null and lzqd is null  and xzjd = '" + sun + "'";
                  this.logger.info(sjgsdwfzr);
                  this.logger.info(sjgsdwfzr1);
                  this.logger.info(sjgsdwfzr3);
                  this.logger.info(sjgsdwfzr2);
                  this.logger.info(sjgsdwfzr4);
                  this.logger.info(sjgsdwfzr5);
                  this.logger.info(sjgsdwfzr6);
                  this.logger.info(sjgsdwfzr7);
                  sqls.execute(sjgsdwfzr);
                  sqls1.execute(sjgsdwfzr1);
                  sqls2.execute(sjgsdwfzr2);
                  sqls4.execute(sjgsdwfzr5);
                  sqls5.execute(sjgsdwfzr6);
                  sqls6.execute(sjgsdwfzr7);
                  sqls3.execute(sjgsdwfzr3);
                  sqls7.execute(sjgsdwfzr4);
                  if (sqls.getCounts() > 0) {
                    while (sqls.next()) {
                      String fgmxid = Util.null2String(sqls.getString("xzry"));
                      this.logger.info("sqls.fgmxid....." + fgmxid);
                      String[] split1 = fgmxid.split(",");
                      for (int i = 0; i < split1.length; i++)
                        fgldset.add(split1[i]); 
                    } 
                  } else if (sqls4.getCounts() > 0) {
                    while (sqls4.next()) {
                      String fgmxid = Util.null2String(sqls4.getString("xzry"));
                      this.logger.info("sqls4.fgmxid....." + fgmxid);
                      String[] split1 = fgmxid.split(",");
                      for (int i = 0; i < split1.length; i++)
                        fgldset.add(split1[i]); 
                    } 
                  } else if (sqls5.getCounts() > 0) {
                    while (sqls5.next()) {
                      String fgmxid = Util.null2String(sqls5.getString("xzry"));
                      this.logger.info("sqls5.fgmxid....." + fgmxid);
                      String[] split1 = fgmxid.split(",");
                      for (int i = 0; i < split1.length; i++)
                        fgldset.add(split1[i]); 
                    } 
                  } else if (sqls6.getCounts() > 0) {
                    while (sqls6.next()) {
                      String fgmxid = Util.null2String(sqls6.getString("xzry"));
                      this.logger.info("sqls6.fgmxid....." + fgmxid);
                      String[] split1 = fgmxid.split(",");
                      for (int i = 0; i < split1.length; i++)
                        fgldset.add(split1[i]); 
                    } 
                  } else if (sqls1.getCounts() > 0) {
                    while (sqls1.next()) {
                      String fgmxid = Util.null2String(sqls1.getString("xzry"));
                      this.logger.info("sqls1.fgmxid....." + fgmxid);
                      String[] split1 = fgmxid.split(",");
                      for (int i = 0; i < split1.length; i++)
                        fgldset.add(split1[i]); 
                    } 
                  } else if (sqls3.getCounts() > 0) {
                    while (sqls3.next()) {
                      String fgmxid = Util.null2String(sqls3.getString("xzry"));
                      this.logger.info("sqls3.fgmxid....." + fgmxid);
                      String[] split1 = fgmxid.split(",");
                      for (int i = 0; i < split1.length; i++)
                        fgldset.add(split1[i]); 
                    } 
                  } else if (sqls7.getCounts() > 0) {
                    while (sqls7.next()) {
                      String fgmxid = Util.null2String(sqls7.getString("xzry"));
                      this.logger.info("sqls7.fgmxid....." + fgmxid);
                      String[] split1 = fgmxid.split(",");
                      for (int i = 0; i < split1.length; i++)
                        fgldset.add(split1[i]); 
                    } 
                  } else if (sqls2.getCounts() > 0) {
                    while (sqls2.next()) {
                      String fgmxid = Util.null2String(sqls2.getString("xzry"));
                      this.logger.info("sqls2.fgmxid....." + fgmxid);
                      String[] split1 = fgmxid.split(",");
                      for (int i = 0; i < split1.length; i++)
                        fgldset.add(split1[i]); 
                    } 
                  } else {
                    this.logger.info("else  sun1....." + sun1);
                    fgldset.add(sun1);
                  } 
                } 
              } else {
                String sjgsdwfzr1 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and instr(','||to_char(bmmc)||',', '," + YSBM + ",')>0 and lzqd = '" + ZYSLXT + "'  and ywyt is null and xzjd = '" + sun + "'";
                String sjgsdwfzr2 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and bmmc is null  and lzqd = '" + ZYSLXT + "'   and ywyt is null  and xzjd = '" + sun + "'";
                String sjgsdwfzr3 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and instr(','||to_char(bmmc)||',', '," + YSBM + ",')>0  and  lzqd is null  and ywyt is null  and xzjd = '" + sun + "'";
                String sjgsdwfzr4 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and bmmc is null and  lzqd is null  and ywyt is null  and xzjd = '" + sun + "'";
                this.logger.info(sjgsdwfzr1);
                sqls1.execute(sjgsdwfzr1);
                sqls2.execute(sjgsdwfzr2);
                sqls3.execute(sjgsdwfzr3);
                sqls4.execute(sjgsdwfzr4);
                if (sqls1.getCounts() > 0) {
                  while (sqls1.next()) {
                    String fgmxid = Util.null2String(sqls1.getString("xzry"));
                    String[] split1 = fgmxid.split(",");
                    for (int i = 0; i < split1.length; i++)
                      fgldset.add(split1[i]); 
                  } 
                } else if (sqls2.getCounts() > 0) {
                  while (sqls2.next()) {
                    String fgmxid = Util.null2String(sqls2.getString("xzry"));
                    String[] split1 = fgmxid.split(",");
                    for (int i = 0; i < split1.length; i++)
                      fgldset.add(split1[i]); 
                  } 
                } else if (sqls3.getCounts() > 0) {
                  while (sqls3.next()) {
                    String fgmxid = Util.null2String(sqls3.getString("xzry"));
                    String[] split1 = fgmxid.split(",");
                    for (int i = 0; i < split1.length; i++)
                      fgldset.add(split1[i]); 
                  } 
                } else if (sqls4.getCounts() > 0) {
                  while (sqls4.next()) {
                    String fgmxid = Util.null2String(sqls4.getString("xzry"));
                    String[] split1 = fgmxid.split(",");
                    for (int i = 0; i < split1.length; i++)
                      fgldset.add(split1[i]); 
                  } 
                } else {
                  this.logger.info("else  sun1....." + sun1);
                  fgldset.add(sun1);
                } 
              } 
              this.logger.info("fgldset....." + String.join(",", (Iterable)fgldset));
              String join = String.join(",", (Iterable)fgldset);
              if (!join.equals(""))
                sun1 = join; 
            } 
            this.logger.info("sun.....1fgld....." + sun);
            this.logger.info("sun1....1fgld......" + sun1);
            String[] split = sun1.split(",");
            StringBuilder sb = new StringBuilder();
            for (int j = 0; j < split.length; j++) {
              String bsqr1 = "";
              String sqlsysq = "select * from uf_ywsqbbd where sqr = '" + split[j] + "' and sqzt = '2'";
              this.logger.info(sqlsysq);
              ywsq.execute(sqlsysq);
              while (ywsq.next()) {
                String sqjd = Util.null2String(ywsq.getString("sqjd"));
                String ksrq = Util.null2String(ywsq.getString("ksrq"));
                String jsrq = Util.null2String(ywsq.getString("jsrq"));
                String sqywbm = Util.null2String(ywsq.getString("sqywbm"));
                String sqywlx = Util.null2String(ywsq.getString("sqywlx"));
                String sqywyt = Util.null2String(ywsq.getString("sqywyt"));
                String sqgsdm = Util.null2String(ywsq.getString("sqgsdm"));
                String bsqr = Util.null2String(ywsq.getString("bsqr"));
                double zxje = Util.getDoubleValue(ywsq.getString("zxje"));
                double zdje = Util.getDoubleValue(ywsq.getString("zdje"));
                this.logger.info("业务授权sqjd..." + sqjd);
                this.logger.info("业务授权ksrq..." + ksrq);
                this.logger.info("业务授权jsrq..." + jsrq);
                this.logger.info("业务授权sqywbm..." + sqywbm);
                this.logger.info("业务授权sqywlx..." + sqywlx);
                this.logger.info("业务授权sqywyt..." + sqywyt);
                this.logger.info("业务授权bsqr..." + bsqr);
                this.logger.info("业务授权zxje..." + zxje);
                this.logger.info("业务授权zdje..." + zdje);
                this.logger.info("业务授权doubleValue..." + doubleValue);
                this.logger.info("业务授权ZYWLX1..." + ZYWLX1);
                this.logger.info("业务授权Ywyt..." + Ywyt);
                this.logger.info("业务授权sqgsdm..." + sqgsdm);
                this.logger.info("业务授权ZORG..." + ZORG);
                if (!ksrq.equals("") && 
                  format.compareTo(ksrq) < 0) {
                  this.logger.info("业务授权.......ksrq");
                  continue;
                } 
                if (!jsrq.equals("") && 
                  format.compareTo(jsrq) > 0) {
                  this.logger.info("业务授权.......jsrq");
                  continue;
                } 
                if (!sqywbm.equals("") && 
                  sqywbm.indexOf(getbmid(YSBM)) == -1) {
                  this.logger.info("业务授权.......sqywbm");
                  continue;
                } 
                if (!sqywyt.equals("") && 
                  sqywyt.indexOf(Ywyt) == -1 && 
                  Ywyt.indexOf(sqywyt) == -1) {
                  this.logger.info("业务授权.......Ywyt");
                  continue;
                } 
                if (!sqywlx.equals("") && 
                  sqywlx.indexOf(ZYWLX1) == -1) {
                  this.logger.info("业务授权.......sqywlx");
                  continue;
                } 
                if (!sqgsdm.equals("") && 
                  !sqgsdm.contains(ZORG)) {
                  this.logger.info("业务授权.......sqgsdm");
                  continue;
                } 
                if (zxje > 0.0D) {
                  if (zdje < 0.0D)
                    zdje = Double.MAX_VALUE; 
                  if (doubleValue < zxje || doubleValue > zdje) {
                    this.logger.info("业务授权.......zxje");
                    continue;
                  } 
                } 
                this.logger.info("sqjd..." + sqjd);
                if (!sqjd.equals("")) {
                  String sqlsq = "select id from uf_uf_sqjdb where xh = '" + sqjd + "' and dylcjdzd = '" + sun + "'";
                  this.logger.info("业务授权节点12..." + sqlsq);
                  sqls5.execute(sqlsq);
                  if (sqls5.next())
                    bsqr1 = bsqr; 
                  continue;
                } 
                bsqr1 = bsqr;
              } 
              this.logger.info("业务授权查询到的数据.1....." + bsqr1);
              this.logger.info("本来应该的人员.1....." + split[j]);
              this.logger.info("getuserid(ZZJBR)....." + getuserid(ZZJBR));
              this.logger.info("getuseraccounttype....." + getuseraccounttype(split[j]));
              this.logger.info("1bsqr1......" + bsqr1);
              this.logger.info("1split[j]......" + split[j]);
              this.logger.info("1sun......" + sun);
              if (!bsqr1.equals("")) {
                JSONObject ywsqjson = new JSONObject();
                ywsqjson.put("sqr", split[j]);
                ywsqjson.put("bsqr", bsqr1);
                ywsqjson.put("jd", sun);
                ywsqjsonarray.add(ywsqjson);
                sb.append(bsqr1);
              } else {
                sb.append(split[j]);
              } 
              sb.append(",");
            } 
            if (sb.toString().endsWith(","))
              sun1 = sb.toString().substring(0, sb.toString().length() - 1); 
            this.logger.info("sun......." + sun);
            this.logger.info("sun1......" + sun1);
            if (!sun1.equals(""))
              hbset1.add(sun); 
            sbry.append(sun1);
            if (sun.equals("ejgszjzj"))
              sun = "ejdwzjzj"; 
            String rysql = "select lastname from hrmresource where id in(" + getInCond(sun1) + ") and status in('4','5','6','7')";
            this.logger.info(rysql);
            sqlry.execute(rysql);
            while (sqlry.next())
              newhbset2.put(sun, Util.null2String(sqlry.getString("lastname"))); 
            addFieldInfo(workflowRequestTableFieldList, sun, sun1);
            this.logger.info("==================================================");
          }  
        String ywbmdesxsprfield = "";
        String ywbmdesxsprvalue = "";
        String bzrbmsql = "select * from uf_bmjsryxj_dt1 where mainid = '" + BZRBMsql + "' and bm = '" + getbmid(BZRBM) + "'";
        this.logger.info(bzrbmsql);
        rs1.execute(bzrbmsql);
        if (rs1.next())
          for (String sun : bzrbmlist) {
            String sun1 = "";
            sun1 = Util.null2String(rs1.getString(sun));
            this.logger.info("sun.....1.5...." + sun);
            this.logger.info("sun1....1.5....." + sun1);
            String fgldsql = "select id from uf_dbsfgldb where gsdm = '" + ZORG + "'";
            this.logger.info("fgldsql......" + fgldsql);
            qw12.execute(fgldsql);
            if (qw12.next()) {
              Set<String> fgldset = new HashSet<>();
              String sjgscwzjzhjs = Util.null2String(qw12.getString("id"));
              if (!Ywyt.equals("")) {
                String[] arrayOfString = Ywyt.split(",");
                for (int b = 0; b < arrayOfString.length; b++) {
                  String sjgsdwfzr = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and instr(','||to_char(bmmc)||',', '," + YSBM + ",')>0   and ywyt = '" + arrayOfString[b] + "' and lzqd = '" + ZYSLXT + "' and xzjd = '" + sun + "'";
                  String sjgsdwfzr1 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and instr(','||to_char(bmmc)||',', '," + YSBM + ",')>0   and ywyt is null  and lzqd is null  and xzjd = '" + sun + "'";
                  String sjgsdwfzr3 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and bmmc is null   and ywyt = '" + arrayOfString[b] + "' and lzqd is null  and xzjd = '" + sun + "'";
                  String sjgsdwfzr4 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and bmmc is null   and ywyt is null and lzqd = '" + ZYSLXT + "'  and xzjd = '" + sun + "'";
                  String sjgsdwfzr5 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and instr(','||to_char(bmmc)||',', '," + YSBM + ",')>0   and ywyt = '" + arrayOfString[b] + "' and lzqd is null  and xzjd = '" + sun + "'";
                  String sjgsdwfzr6 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and instr(','||to_char(bmmc)||',', '," + YSBM + ",')>0   and ywyt is null and lzqd  = '" + ZYSLXT + "'  and xzjd = '" + sun + "'";
                  String sjgsdwfzr7 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and bmmc is null  and ywyt = '" + arrayOfString[b] + "'  and lzqd  = '" + ZYSLXT + "'  and xzjd = '" + sun + "'";
                  String sjgsdwfzr2 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and bmmc is null   and ywyt is null  and lzqd is null and xzjd = '" + sun + "'";
                  this.logger.info(sjgsdwfzr);
                  this.logger.info(sjgsdwfzr1);
                  this.logger.info(sjgsdwfzr3);
                  this.logger.info(sjgsdwfzr2);
                  this.logger.info(sjgsdwfzr4);
                  this.logger.info(sjgsdwfzr5);
                  this.logger.info(sjgsdwfzr6);
                  this.logger.info(sjgsdwfzr7);
                  sqls.execute(sjgsdwfzr);
                  sqls1.execute(sjgsdwfzr1);
                  sqls2.execute(sjgsdwfzr2);
                  sqls4.execute(sjgsdwfzr5);
                  sqls5.execute(sjgsdwfzr6);
                  sqls6.execute(sjgsdwfzr7);
                  sqls3.execute(sjgsdwfzr3);
                  sqls7.execute(sjgsdwfzr4);
                  if (sqls.getCounts() > 0) {
                    while (sqls.next()) {
                      String fgmxid = Util.null2String(sqls.getString("xzry"));
                      this.logger.info("sqls.fgmxid....." + fgmxid);
                      String[] split1 = fgmxid.split(",");
                      for (int i = 0; i < split1.length; i++)
                        fgldset.add(split1[i]); 
                    } 
                  } else if (sqls4.getCounts() > 0) {
                    while (sqls4.next()) {
                      String fgmxid = Util.null2String(sqls4.getString("xzry"));
                      this.logger.info("sqls4.fgmxid....." + fgmxid);
                      String[] split1 = fgmxid.split(",");
                      for (int i = 0; i < split1.length; i++)
                        fgldset.add(split1[i]); 
                    } 
                  } else if (sqls5.getCounts() > 0) {
                    while (sqls5.next()) {
                      String fgmxid = Util.null2String(sqls5.getString("xzry"));
                      this.logger.info("sqls5.fgmxid....." + fgmxid);
                      String[] split1 = fgmxid.split(",");
                      for (int i = 0; i < split1.length; i++)
                        fgldset.add(split1[i]); 
                    } 
                  } else if (sqls6.getCounts() > 0) {
                    while (sqls6.next()) {
                      String fgmxid = Util.null2String(sqls6.getString("xzry"));
                      this.logger.info("sqls6.fgmxid....." + fgmxid);
                      String[] split1 = fgmxid.split(",");
                      for (int i = 0; i < split1.length; i++)
                        fgldset.add(split1[i]); 
                    } 
                  } else if (sqls1.getCounts() > 0) {
                    while (sqls1.next()) {
                      String fgmxid = Util.null2String(sqls1.getString("xzry"));
                      this.logger.info("sqls1.fgmxid....." + fgmxid);
                      String[] split1 = fgmxid.split(",");
                      for (int i = 0; i < split1.length; i++)
                        fgldset.add(split1[i]); 
                    } 
                  } else if (sqls3.getCounts() > 0) {
                    while (sqls3.next()) {
                      String fgmxid = Util.null2String(sqls3.getString("xzry"));
                      this.logger.info("sqls3.fgmxid....." + fgmxid);
                      String[] split1 = fgmxid.split(",");
                      for (int i = 0; i < split1.length; i++)
                        fgldset.add(split1[i]); 
                    } 
                  } else if (sqls7.getCounts() > 0) {
                    while (sqls7.next()) {
                      String fgmxid = Util.null2String(sqls7.getString("xzry"));
                      this.logger.info("sqls7.fgmxid....." + fgmxid);
                      String[] split1 = fgmxid.split(",");
                      for (int i = 0; i < split1.length; i++)
                        fgldset.add(split1[i]); 
                    } 
                  } else if (sqls2.getCounts() > 0) {
                    while (sqls2.next()) {
                      String fgmxid = Util.null2String(sqls2.getString("xzry"));
                      this.logger.info("sqls2.fgmxid....." + fgmxid);
                      String[] split1 = fgmxid.split(",");
                      for (int i = 0; i < split1.length; i++)
                        fgldset.add(split1[i]); 
                    } 
                  } else {
                    this.logger.info("else  sun1....." + sun1);
                    fgldset.add(sun1);
                  } 
                } 
              } else {
                String sjgsdwfzr1 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and instr(','||to_char(bmmc)||',', '," + YSBM + ",')>0 and lzqd = '" + ZYSLXT + "'  and ywyt is null and xzjd = '" + sun + "'";
                String sjgsdwfzr2 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and bmmc is null  and lzqd = '" + ZYSLXT + "'   and ywyt is null  and xzjd = '" + sun + "'";
                String sjgsdwfzr3 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and instr(','||to_char(bmmc)||',', '," + YSBM + ",')>0  and  lzqd is null  and ywyt is null  and xzjd = '" + sun + "'";
                String sjgsdwfzr4 = "select xzry from uf_dbsfgldb_dt1 where mainid = '" + sjgscwzjzhjs + "' and instr(','||to_char(ywlx)||',', '," + ZYWLX1 + ",')>0 and bmmc is null and  lzqd is null  and ywyt is null  and xzjd = '" + sun + "'";
                this.logger.info(sjgsdwfzr1);
                sqls1.execute(sjgsdwfzr1);
                sqls2.execute(sjgsdwfzr2);
                sqls3.execute(sjgsdwfzr3);
                sqls4.execute(sjgsdwfzr4);
                if (sqls1.getCounts() > 0) {
                  while (sqls1.next()) {
                    String fgmxid = Util.null2String(sqls1.getString("xzry"));
                    String[] split1 = fgmxid.split(",");
                    for (int i = 0; i < split1.length; i++)
                      fgldset.add(split1[i]); 
                  } 
                } else if (sqls2.getCounts() > 0) {
                  while (sqls2.next()) {
                    String fgmxid = Util.null2String(sqls2.getString("xzry"));
                    String[] split1 = fgmxid.split(",");
                    for (int i = 0; i < split1.length; i++)
                      fgldset.add(split1[i]); 
                  } 
                } else if (sqls3.getCounts() > 0) {
                  while (sqls3.next()) {
                    String fgmxid = Util.null2String(sqls3.getString("xzry"));
                    String[] split1 = fgmxid.split(",");
                    for (int i = 0; i < split1.length; i++)
                      fgldset.add(split1[i]); 
                  } 
                } else if (sqls4.getCounts() > 0) {
                  while (sqls4.next()) {
                    String fgmxid = Util.null2String(sqls4.getString("xzry"));
                    String[] split1 = fgmxid.split(",");
                    for (int i = 0; i < split1.length; i++)
                      fgldset.add(split1[i]); 
                  } 
                } else {
                  this.logger.info("else  sun1....." + sun1);
                  fgldset.add(sun1);
                } 
              } 
              this.logger.info("fgldset....." + String.join(",", (Iterable)fgldset));
              String join = String.join(",", (Iterable)fgldset);
              if (!join.equals(""))
                sun1 = join; 
            } 
            String[] split = sun1.split(",");
            StringBuilder sb = new StringBuilder();
            for (int j = 0; j < split.length; j++) {
              String bsqr1 = "";
              String sqlsysq = "select * from uf_ywsqbbd where sqr = '" + split[j] + "' and sqzt = '2'";
              this.logger.info(sqlsysq);
              ywsq.execute(sqlsysq);
              while (ywsq.next()) {
                String sqjd = Util.null2String(ywsq.getString("sqjd"));
                String ksrq = Util.null2String(ywsq.getString("ksrq"));
                String jsrq = Util.null2String(ywsq.getString("jsrq"));
                String sqywbm = Util.null2String(ywsq.getString("sqywbm"));
                String sqywlx = Util.null2String(ywsq.getString("sqywlx"));
                String sqywyt = Util.null2String(ywsq.getString("sqywyt"));
                String sqgsdm = Util.null2String(ywsq.getString("sqgsdm"));
                String bsqr = Util.null2String(ywsq.getString("bsqr"));
                double zxje = Util.getDoubleValue(ywsq.getString("zxje"));
                double zdje = Util.getDoubleValue(ywsq.getString("zdje"));
                this.logger.info("业务授权sqjd..." + sqjd);
                this.logger.info("业务授权ksrq..." + ksrq);
                this.logger.info("业务授权jsrq..." + jsrq);
                this.logger.info("业务授权sqywbm..." + sqywbm);
                this.logger.info("业务授权sqywlx..." + sqywlx);
                this.logger.info("业务授权sqywyt..." + sqywyt);
                this.logger.info("业务授权bsqr..." + bsqr);
                this.logger.info("业务授权zxje..." + zxje);
                this.logger.info("业务授权zdje..." + zdje);
                this.logger.info("业务授权doubleValue..." + doubleValue);
                this.logger.info("业务授权ZYWLX1..." + ZYWLX1);
                this.logger.info("业务授权Ywyt..." + Ywyt);
                this.logger.info("业务授权sqgsdm..." + sqgsdm);
                this.logger.info("业务授权ZORG..." + ZORG);
                if (!ksrq.equals("") && 
                  format.compareTo(ksrq) < 0) {
                  this.logger.info("业务授权.......ksrq");
                  continue;
                } 
                if (!jsrq.equals("") && 
                  format.compareTo(jsrq) > 0) {
                  this.logger.info("业务授权.......jsrq");
                  continue;
                } 
                if (!sqywbm.equals("") && 
                  sqywbm.indexOf(getbmid(YSBM)) == -1) {
                  this.logger.info("业务授权.......sqywbm");
                  continue;
                } 
                if (!sqywyt.equals("") && 
                  sqywyt.indexOf(Ywyt) == -1 && 
                  Ywyt.indexOf(sqywyt) == -1) {
                  this.logger.info("业务授权.......Ywyt");
                  continue;
                } 
                if (!sqywlx.equals("") && 
                  sqywlx.indexOf(ZYWLX1) == -1) {
                  this.logger.info("业务授权.......sqywlx");
                  continue;
                } 
                if (!sqgsdm.equals("") && 
                  !sqgsdm.contains(ZORG)) {
                  this.logger.info("业务授权.......sqgsdm");
                  continue;
                } 
                if (zxje > 0.0D) {
                  if (zdje < 0.0D)
                    zdje = Double.MAX_VALUE; 
                  if (doubleValue < zxje || doubleValue > zdje) {
                    this.logger.info("业务授权.......zxje");
                    continue;
                  } 
                } 
                this.logger.info("sqjd..." + sqjd);
                if (!sqjd.equals("")) {
                  String sqlsq = "select id from uf_uf_sqjdb where xh = '" + sqjd + "' and dylcjdzd = '" + sun + "'";
                  this.logger.info("业务授权节点12..." + sqlsq);
                  sqls5.execute(sqlsq);
                  if (sqls5.next())
                    bsqr1 = bsqr; 
                  continue;
                } 
                bsqr1 = bsqr;
              } 
              this.logger.info("业务授权查询到的数据......" + bsqr1);
              this.logger.info("本来应该的人员......" + split[j]);
              this.logger.info("sun......" + sun);
              this.logger.info("getuseraccounttype......" + getuseraccounttype(split[j]) + "@");
              this.logger.info("getuserid......" + getuserid(ZZJBR) + "@");
              this.logger.info("equals......" + getuseraccounttype(split[j]).equals(getuseraccounttype(getuserid(ZZJBR))));
              if (sun.equals("ywbmfzr") && 
                getuseraccounttype(split[j]).equals(getuseraccounttype(getuserid(ZZJBR))))
                newZZJBR = "1"; 
              this.logger.info("bsqr1......" + bsqr1);
              this.logger.info("split[j]......" + split[j]);
              this.logger.info("sun......" + sun);
              if (!bsqr1.equals("")) {
                JSONObject ywsqjson = new JSONObject();
                ywsqjson.put("sqr", split[j]);
                ywsqjson.put("bsqr", bsqr1);
                ywsqjson.put("jd", sun);
                ywsqjsonarray.add(ywsqjson);
                sb.append(bsqr1);
              } else {
                sb.append(split[j]);
              } 
              sb.append(",");
            } 
            if (sb.toString().endsWith(","))
              sun1 = sb.toString().substring(0, sb.toString().length() - 1); 
            this.logger.info("sun2.........." + sun);
            this.logger.info("sun1.2........." + sun1);
            this.logger.info("sun2......." + sun);
            this.logger.info("sun1.2....." + sun1);
            if (!sun1.equals(""))
              hbset1.add(sun); 
            sbry.append(sun1);
            if (!sun.equals("ywbmdesxspr")) {
              addFieldInfo(workflowRequestTableFieldList, sun, sun1);
            } else {
              ywbmdesxsprfield = sun;
              ywbmdesxsprvalue = sun1;
            } 
            String rysql = "select lastname from hrmresource where id in(" + getInCond(sun1) + ") and status in('4','5','6','7')";
            this.logger.info(rysql);
            sqlry.execute(rysql);
            while (sqlry.next())
              newhbset2.put(sun, Util.null2String(sqlry.getString("lastname"))); 
            this.logger.info("==================================================");
          }  
        String hbset1s = String.join(",", (Iterable)hbset);
        String hbset112 = String.join(",", (Iterable)hbset1);
        this.logger.info("hbset1s....." + hbset1s);
        this.logger.info("hbset112....." + hbset112);
        this.logger.info("newZZJBR....." + newZZJBR);
        this.logger.info("ywbmdesxsprfield....." + ywbmdesxsprfield);
        this.logger.info("ywbmdesxsprvalue....." + ywbmdesxsprvalue);
        hbset.removeAll(hbset1);
        if (newZZJBR.equals("0")) {
          hbset.remove("ywbmdesxspr");
          newhbset2.remove("ywbmdesxspr");
        } else {
          hbset.remove("ywbmfzr");
          newhbset2.remove("ywbmfzr");
          addFieldInfo(workflowRequestTableFieldList, ywbmdesxsprfield, ywbmdesxsprvalue);
        } 
        StringBuilder ryspzt = new StringBuilder();
        for (Map.Entry<String, String> entry : newhbset2.entrySet()) {
          this.logger.info("entry.getKey()....." + (String)entry.getKey());
          this.logger.info("entry.getValue()....." + (String)entry.getValue());
          ryspzt.append(entry.getValue()).append(",");
        } 
        String hbset22 = "";
        if (ryspzt.toString().endsWith(",")) {
          hbset22 = ryspzt.toString().substring(0, ryspzt.toString().length() - 1);
        } else {
          hbset22 = ryspzt.toString();
        } 
        if (!hbset22.equals("")) {
          ReturnWorkflow.put("Errcode", "E");
          ReturnWorkflow.put("Errmsg", "错误原因:流程节点审批人员(" + hbset22 + ")信息待核实!请联系本单位共享审批维护人员核实部门矩阵中审批人员账号状态");
          return ReturnWorkflow.toJSONString();
        } 
        String str12121 = getjd(hbset);
        this.logger.info("str12121....." + str12121);
        this.logger.info("是否包含....." + hbset.contains("ywbmdesxspr"));
        String sqluf_bsgkdwqd = "select id from uf_bsgkdwqd where gsdm = '" + ZORG + "'";
        this.logger.info("sqluf_bsgkdwqd....." + sqluf_bsgkdwqd);
        rs1.execute(sqluf_bsgkdwqd);
        if (!rs1.next()) {
          if (!str12121.equals("")) {
            ReturnWorkflow.put("Errcode", "E");
            ReturnWorkflow.put("Errmsg", str12121 + ".节点未维护人员数据,请联系本单位审批信息维护人员(" + sbstr1 + ") ");
            return ReturnWorkflow.toJSONString();
          } 
          if (sbry.toString().equals("")) {
            ReturnWorkflow.put("Errcode", "E");
            ReturnWorkflow.put("Errmsg", "未维护人员数据,请维护部门矩阵");
            return ReturnWorkflow.toJSONString();
          } 
        } else if (hbset.contains("ywbmdesxspr")) {
          ReturnWorkflow.put("Errcode", "E");
          ReturnWorkflow.put("Errmsg", "业务部门第二顺序审批人(副职) 节点未维护人员数据,请联系本单位审批信息维护人员(" + sbstr1 + ") ");
          return ReturnWorkflow.toJSONString();
        } 
        for (Map.Entry<String, String> entry : hqmap.entrySet()) {
          this.logger.info("key = " + (String)entry.getKey() + ", value = " + (String)entry.getValue());
          addFieldInfo(workflowRequestTableFieldList, entry.getKey(), entry.getValue());
        } 
      } 
      WorkflowRequestTableRecord[] requestTableRecords = new WorkflowRequestTableRecord[1];
      requestTableRecords[0] = new WorkflowRequestTableRecord();
      WorkflowRequestTableField[] requestTableFields = workflowRequestTableFieldList.<WorkflowRequestTableField>toArray(new WorkflowRequestTableField[0]);
      requestTableRecords[0].setWorkflowRequestTableFields(requestTableFields);
      WorkflowMainTableInfo mainTableInfo = new WorkflowMainTableInfo();
      mainTableInfo.setRequestRecords(requestTableRecords);
      WorkflowDetailTableInfo[] workflowDetailTableInfo = new WorkflowDetailTableInfo[10];
      if (YXXX != null && 
        !YXXX.isEmpty()) {
        this.logger.info("YXXX.size()........" + YXXX.size());
        WorkflowRequestTableRecord[] mx1 = new WorkflowRequestTableRecord[YXXX.size()];
        for (int i = 0; i < YXXX.size(); i++) {
          JSONObject jo = (JSONObject)YXXX.get(i);
          WorkflowRequestTableField[] mx = new WorkflowRequestTableField[4];
          mx[0] = new WorkflowRequestTableField();
          mx[0].setFieldName("ZBZDH");
          mx[0].setFieldValue(Util.null2String(jo.getString("ZBZDH")));
          mx[0].setView(true);
          mx[0].setEdit(true);
          mx[1] = new WorkflowRequestTableField();
          mx[1].setFieldName("BUKRS");
          mx[1].setFieldValue(Util.null2String(jo.getString("BUKRS")));
          mx[1].setView(true);
          mx[1].setEdit(true);
          mx[2] = new WorkflowRequestTableField();
          mx[2].setFieldName("URL");
          mx[2].setFieldValue(Util.null2String(jo.getString("URLSTR")));
          mx[2].setView(true);
          mx[2].setEdit(true);
          mx[3] = new WorkflowRequestTableField();
          mx[3].setFieldName("ZLYXT");
          mx[3].setFieldValue(Util.null2String(jo.getString("ZLYXT")));
          mx[3].setView(true);
          mx[3].setEdit(true);
          mx1[i] = new WorkflowRequestTableRecord();
          mx1[i].setWorkflowRequestTableFields(mx);
        } 
        workflowDetailTableInfo[1] = new WorkflowDetailTableInfo();
        workflowDetailTableInfo[1].setWorkflowRequestTableRecords(mx1);
      } 
      String requestid1 = "";
      this.logger.info("requestid:" + ZZLCH);
      if (ZZLCH.equals("")) {
        WorkflowBaseInfo baseInfo = new WorkflowBaseInfo();
        baseInfo.setWorkflowId(workflowid);
        WorkflowRequestInfo requestInfo1 = new WorkflowRequestInfo();
        if (getuserid(ZZJBR).equals("")) {
          ReturnWorkflow.put("Errcode", "E");
          ReturnWorkflow.put("Errmsg", "系统处理中，请重试");
          return ReturnWorkflow.toJSONString();
        } 
        requestInfo1.setCreatorId(getuserid(ZZJBR));
        requestInfo1.setRequestLevel("0");
        requestInfo1.setIsnextflow("1");
        requestInfo1.setRequestName(REQUESTNAME);
        requestInfo1.setWorkflowMainTableInfo(mainTableInfo);
        requestInfo1.setWorkflowDetailTableInfos(workflowDetailTableInfo);
        requestInfo1.setWorkflowBaseInfo(baseInfo);
        requestInfo1.setRemark("请审批。");
        WorkflowServiceImpl service = new WorkflowServiceImpl();
        requestid1 = service.doCreateWorkflowRequest(requestInfo1, Util.getIntValue(getuserid(ZZJBR)));
      } else {
        int ZZLCH1 = Util.getIntValue(ZZLCH);
        this.logger.info("ZZLCH1111" + ZZLCH1);
        if (ZZLCH1 < 0) {
          ReturnWorkflow.put("Errcode", "E");
          ReturnWorkflow.put("Errmsg", "JSON格式错误");
          return ReturnWorkflow.toJSONString();
        } 
        RecordSet rss = new RecordSet();
        String sqlcurrentnodeid = "select currentnodeid from workflow_requestbase where requestid=?";
        rss.executeQuery(sqlcurrentnodeid, new Object[] { Integer.valueOf(ZZLCH1) });
        if (!rss.next()) {
          ReturnWorkflow.put("Errcode", "E");
          ReturnWorkflow.put("Errmsg", "请求ID不存在");
          return ReturnWorkflow.toJSONString();
        } 
        int currentnodeid = rss.getInt("currentnodeid");
        if (currentnodeid != Util.getIntValue(nodeid)) {
          ReturnWorkflow.put("Errcode", "E");
          ReturnWorkflow.put("Errmsg", "单据未退回，禁止启动流程");
          return ReturnWorkflow.toJSONString();
        } 
        int userid = getUserId(currentnodeid, ZZLCH1);
        qczd(ZZLCH1);
        this.logger.info("userid:" + userid);
        this.logger.info("ZZLCH1:" + ZZLCH1);
        WorkflowServiceImpl service = new WorkflowServiceImpl();
        WorkflowRequestInfo wri = service.getWorkflowRequest(ZZLCH1, userid, ZZLCH1);
        this.logger.info("标题....." + wri.getRequestName());
        wri.setRequestName(REQUESTNAME);
        wri.setWorkflowMainTableInfo(mainTableInfo);
        wri.setWorkflowDetailTableInfos(workflowDetailTableInfo);
        String s = service.submitWorkflowRequest(wri, ZZLCH1, userid, "submit", "请审批。");
        if (s.equals("success"))
          requestid1 = ZZLCH; 
      } 
      int intValue1 = Util.getIntValue(requestid1);
      this.logger.info("intValue1........" + intValue1);
      if (intValue1 > 0) {
        String select_sql = "select id from " + this.tablename + " where requestid = '" + requestid1 + "'";
        qw12.execute(select_sql);
        qw12.next();
        String sid = Util.null2String(qw12.getString("id"));
        String deleywsq = "delete from uf_sqwcspjlzs where lc = '" + intValue1 + "'";
        qw12.execute(deleywsq);
        for (int j = 0; j < ywsqjsonarray.size(); j++) {
          JSONObject jsonObject1 = (JSONObject)ywsqjsonarray.get(j);
          String sqr = Util.null2String(jsonObject1.getString("sqr"));
          String bsqr = Util.null2String(jsonObject1.getString("bsqr"));
          String jd = Util.null2String(jsonObject1.getString("jd"));
          this.logger.info("jd..." + jd);
          String sqlywsq = "select * from uf_sqwcspjlzs where sqr = '" + sqr + "' and bsqr = '" + bsqr + "' and lc = '" + intValue1 + "'";
          this.logger.info(sqlywsq);
          qw12.execute(sqlywsq);
          if (!qw12.next()) {
            Map<String, String> map = new HashMap<>();
            map.put("sqr", sqr);
            map.put("bsqr", bsqr);
            map.put("lc", intValue1 + "");
            map.put("ZBZDH", ZBZDH);
            map.put("BZZJE", BZZJE);
            map.put("ZYWLX", ZYWLX1);
            map.put("ZBZZY", ZBZZY);
            map.put("sqjd", jd);
            int sun = md.addData(map, Util.getIntValue(ywsqmodeid), 1);
            this.logger.info("业务授权记录表添加数据........" + sun);
          } else {
            String sqjd = Util.null2String(qw12.getString("sqjd"));
            String id = Util.null2String(qw12.getString("id"));
            String sqjd1 = "";
            if (sqjd.equals("")) {
              sqjd1 = jd;
            } else {
              sqjd1 = sqjd + "," + jd;
            } 
            String upywsqsql = "update uf_sqwcspjlzs set sqjd = '" + sqjd1 + "',ZBZDH = '" + ZBZDH + "',BZZJE = '" + BZZJE + "',ZYWLX = '" + ZYWLX1 + "',ZBZZY = '" + ZBZZY + "' where id = '" + id + "'";
            this.logger.info("upywsqsql..." + upywsqsql);
            sqls1.execute(upywsqsql);
          } 
        } 
        if (!requestid1.equals("")) {
          if (PZTXX != null && 
            PZTXX.size() != 0)
            for (int i = 0; i < PZTXX.size(); i++) {
              StringBuilder mx1 = new StringBuilder();
              StringBuilder mx1vlue = new StringBuilder();
              mx1.append("mainid").append(",");
              mx1vlue.append("'").append(sid).append("'").append(",");
              JSONObject jo = PZTXX.getJSONObject(i);
              mx1.append("ZBZDH").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("ZBZDH"))).append("'").append(",");
              mx1.append("Xh").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("Xh"))).append("'").append(",");
              mx1.append("BUDAT").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("BUDAT"))).append("'").append(",");
              mx1.append("BLDAT").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("BLDAT"))).append("'").append(",");
              mx1.append("BLART").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("BLART"))).append("'").append(",");
              mx1.append("MONAT").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("MONAT"))).append("'").append(",");
              mx1.append("BUKRS").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("BUKRS"))).append("'").append(",");
              mx1.append("BKTXT").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("BKTXT"))).append("'").append(",");
              mx1.append("Wares").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("Wares"))).append("'").append(",");
              mx1.append("KURSF").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("KURSF"))).append("'").append(",");
              mx1.append("GJAHR").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("GJAHR"))).append("'").append(",");
              String mxsj = "";
              String mxz = "";
              if (mx1.toString().endsWith(","))
                mxsj = mx1.toString().substring(0, mx1.toString().length() - 1); 
              if (mx1vlue.toString().endsWith(","))
                mxz = mx1vlue.toString().substring(0, mx1vlue.toString().length() - 1); 
              String sql_insert = "insert into " + this.tablename + "_dt9(" + mxsj + ")VALUES(" + mxz + ")";
              this.logger.info("明细九........." + sql_insert);
              rs.execute(sql_insert);
            }  
          if (PZXS != null && 
            PZXS.size() != 0)
            for (int i = 0; i < PZXS.size(); i++) {
              StringBuilder mx1 = new StringBuilder();
              StringBuilder mx1vlue = new StringBuilder();
              mx1.append("mainid").append(",");
              mx1vlue.append("'").append(sid).append("'").append(",");
              JSONObject jo = PZXS.getJSONObject(i);
              mx1.append("ZBZDH").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("ZBZDH"))).append("'").append(",");
              mx1.append("Xh").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("Xh"))).append("'").append(",");
              mx1.append("ZBUZEI").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("ZBUZEI"))).append("'").append(",");
              mx1.append("SHKZG").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("SHKZG"))).append("'").append(",");
              mx1.append("SHKZGT").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("SHKZGT"))).append("'").append(",");
              mx1.append("SAKNR").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("SAKNR"))).append("'").append(",");
              mx1.append("TXT50").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("TXT50"))).append("'").append(",");
              mx1.append("KUNNR").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("KUNNR"))).append("'").append(",");
              mx1.append("FMCOD1").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("FMCOD1"))).append("'").append(",");
              mx1.append("LIFNR").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("LIFNR"))).append("'").append(",");
              mx1.append("LMCOD1").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("LMCOD1"))).append("'").append(",");
              mx1.append("FKBER").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("FKBER"))).append("'").append(",");
              mx1.append("FKBERT").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("FKBERT"))).append("'").append(",");
              mx1.append("WRBTR").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("WRBTR"))).append("'").append(",");
              mx1.append("DMBTR").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("DMBTR"))).append("'").append(",");
              mx1.append("PRCTRT").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("PRCTRT"))).append("'").append(",");
              mx1.append("FISTL").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("FISTL"))).append("'").append(",");
              mx1.append("PROJK").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("PROJK"))).append("'").append(",");
              mx1.append("KOSTL").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("KOSTL"))).append("'").append(",");
              mx1.append("TKOSTL").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("TKOSTL"))).append("'").append(",");
              String mxsj = "";
              String mxz = "";
              if (mx1.toString().endsWith(","))
                mxsj = mx1.toString().substring(0, mx1.toString().length() - 1); 
              if (mx1vlue.toString().endsWith(","))
                mxz = mx1vlue.toString().substring(0, mx1vlue.toString().length() - 1); 
              String sql_insert = "insert into " + this.tablename + "_dt10(" + mxsj + ")VALUES(" + mxz + ")";
              this.logger.info("明细十........." + sql_insert);
              rs.execute(sql_insert);
            }  
          if (HTYX != null && 
            HTYX.size() != 0)
            for (int i = 0; i < HTYX.size(); i++) {
              StringBuilder mx1 = new StringBuilder();
              StringBuilder mx1vlue = new StringBuilder();
              mx1.append("mainid").append(",");
              mx1vlue.append("'").append(sid).append("'").append(",");
              JSONObject jo = HTYX.getJSONObject(i);
              mx1.append("ZHTBH").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("ZHTBH"))).append("'").append(",");
              mx1.append("ZWDLX").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("ZWDLX"))).append("'").append(",");
              mx1.append("ZWJMC").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("ZWJMC"))).append("'").append(",");
              mx1.append("ZURL").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("ZURL"))).append("'").append(",");
              mx1.append("ZNAME").append(",");
              mx1vlue.append("'").append(Util.null2String(jo.getString("ZNAME"))).append("'").append(",");
              String mxsj = "";
              String mxz = "";
              if (mx1.toString().endsWith(","))
                mxsj = mx1.toString().substring(0, mx1.toString().length() - 1); 
              if (mx1vlue.toString().endsWith(","))
                mxz = mx1vlue.toString().substring(0, mx1vlue.toString().length() - 1); 
              String sql_insert = "insert into " + this.tablename + "_dt3(" + mxsj + ")VALUES(" + mxz + ")";
              this.logger.info("明细三........." + sql_insert);
              rs.execute(sql_insert);
            }  
          ReturnWorkflow.put("Errcode", "S");
          ReturnWorkflow.put("Errmsg", requestid1);
          return ReturnWorkflow.toJSONString();
        } 
      } else {
        if (intValue1 == -1 || intValue1 == -3) {
          ReturnWorkflow.put("Errcode", "E");
          ReturnWorkflow.put("Errmsg", "创建流程失败,请联系管理员!");
          return ReturnWorkflow.toJSONString();
        } 
        if (intValue1 == -2) {
          ReturnWorkflow.put("Errcode", "E");
          ReturnWorkflow.put("Errmsg", "没有创建权限,请联系管理员!");
          return ReturnWorkflow.toJSONString();
        } 
        if (intValue1 == -4) {
          ReturnWorkflow.put("Errcode", "E");
          ReturnWorkflow.put("Errmsg", "字段或表名不正确");
          return ReturnWorkflow.toJSONString();
        } 
        if (intValue1 == -5) {
          ReturnWorkflow.put("Errcode", "E");
          ReturnWorkflow.put("Errmsg", "更新流程级别失败,请联系管理员!");
          return ReturnWorkflow.toJSONString();
        } 
        if (intValue1 == -6) {
          ReturnWorkflow.put("Errcode", "E");
          ReturnWorkflow.put("Errmsg", "无法创建流程待办任务!请联系管理员!");
          return ReturnWorkflow.toJSONString();
        } 
        if (intValue1 == -7) {
          ReturnWorkflow.put("Errcode", "E");
          ReturnWorkflow.put("Errmsg", "流程节点审批人员信息待核实！请联系本单位共享审批维护人员(" + sbstr + ")，核实部门矩阵中审批人员账号状态。");
          return ReturnWorkflow.toJSONString();
        } 
      } 
    } catch (Exception e) {
      e.printStackTrace();
      ReturnWorkflow.put("Errcode", "E");
      ReturnWorkflow.put("Errmsg", e.toString());
      return ReturnWorkflow.toJSONString();
    } 
    return ReturnWorkflow.toJSONString();
  }
  
  public static String getbmid(String bmcode) {
    if (!bmcode.equals("")) {
      RecordSet rs = new RecordSet();
      String sql = "select id from hrmdepartment where departmentcode = '" + bmcode + "'";
      rs.execute(sql);
      rs.next();
      String id = Util.null2String(rs.getString("id"));
      return id;
    } 
    return "";
  }
  
  public static String getuserid(String workcode) {
    if (!workcode.equals("")) {
      RecordSet rs = new RecordSet();
      String sql = "select id from hrmresource where workcode = '" + workcode + "'";
      rs.execute(sql);
      rs.next();
      String id = Util.null2String(rs.getString("id"));
      return id;
    } 
    return "";
  }
  
  public static String getuseraccounttype(String id) {
    if (!id.equals("")) {
      RecordSet rs = new RecordSet();
      String sql = "select accounttype,belongto from hrmresource where id = '" + id + "'";
      rs.execute(sql);
      rs.next();
      String accounttype = Util.null2String(rs.getString("accounttype"));
      String belongto = Util.null2String(rs.getString("belongto"));
      if (!accounttype.equals("1"))
        return id; 
      return belongto;
    } 
    return "";
  }
  
  public static String getInCond(String str) {
    String[] strArr = str.split(",");
    StringBuffer sb = new StringBuffer();
    for (int i = 0; i < strArr.length; i++) {
      if (i == strArr.length - 1) {
        sb.append("'" + strArr[i] + "'");
      } else {
        sb.append("'" + strArr[i] + "',");
      } 
    } 
    return sb.toString();
  }
  
  public static String getfb(String bmbm) {
    if (!bmbm.equals("")) {
      RecordSet rs = new RecordSet();
      int count = 10;
      int i = 0;
      String sql = "SELECT DESC5,PARENTCODE FROM uf_zzjg1 WHERE CODE='" + bmbm + "'";
      rs.executeQuery(sql, new Object[0]);
      String CODE = bmbm;
      while (rs.next()) {
        String DESC5 = Util.null2String(rs.getString("DESC5"));
        if (DESC5.equals("01") || DESC5.equals("03"))
          break; 
        CODE = Util.null2String(rs.getString("PARENTCODE"));
        sql = "SELECT DESC5,PARENTCODE FROM uf_zzjg1 WHERE CODE='" + CODE + "'";
        rs.executeQuery(sql, new Object[0]);
        if (i++ >= count)
          break; 
      } 
      sql = "select id from hrmsubcompany where subcompanycode = '" + CODE + "'";
      rs.executeQuery(sql, new Object[0]);
      if (rs.next())
        return Util.null2String(rs.getString("id")); 
    } 
    return "";
  }
  
  private String getjd(Set<String> set) {
    Set<String> set4 = new HashSet<>();
    RecordSet rs = new RecordSet();
    for (String obj : set) {
      String sql = "select jdxsm from uf_bmjzspjljdmk where dybmjzjdsjkzdm = '" + obj + "'";
      this.logger.info("sql........." + sql);
      rs.execute(sql);
      rs.next();
      String jdxsm = Util.null2String(rs.getString("jdxsm"));
      set4.add(jdxsm);
    } 
    String tsxx = String.join(",", (Iterable)set4);
    this.logger.info("提示信息........." + tsxx);
    return tsxx;
  }
  
  private void qczd(int requestid) {
    RecordSet rs = new RecordSet();
    StringBuilder sb = new StringBuilder();
    sb.append("urldz = ''").append(",");
    sb.append("yfzc = ''").append(",");
    sb.append("htyftk = ''").append(",");
    sb.append("ysbm = ''").append(",");
    sb.append("ZZJKR = ''").append(",");
    sb.append("ZYWYT = ''").append(",");
    sb.append("ZBZDH = ''").append(",");
    sb.append("BUDAT = ''").append(",");
    sb.append("BUKRST = ''").append(",");
    sb.append("BZRSJ = ''").append(",");
    sb.append("BZZJE = ''").append(",");
    sb.append("JBRSJ = ''").append(",");
    sb.append("ZZJBR = ''").append(",");
    sb.append("ZZBZR = ''").append(",");
    sb.append("BZRBM = ''").append(",");
    sb.append("MONAT = ''").append(",");
    sb.append("PRCTRT = ''").append(",");
    sb.append("PRCTR1 = ''").append(",");
    sb.append("WRBTR = ''").append(",");
    sb.append("ZBZZY = ''").append(",");
    sb.append("ZJSFST = ''").append(",");
    sb.append("ZSQRQ = ''").append(",");
    sb.append("ZXYDJ = ''").append(",");
    sb.append("ZYSLX = ''").append(",");
    sb.append("ZYSLXT = ''").append(",");
    sb.append("ZYSBM = ''").append(",");
    sb.append("ZZLCH = ''").append(",");
    sb.append("ZZDBR = ''").append(",");
    sb.append("YFKJY = ''").append(",");
    sb.append("ZFFSJ = ''").append(",");
    sb.append("SMGJY = ''").append(",");
    sb.append("ZBYJJG = ''").append(",");
    sb.append("YFZCJ = ''").append(",");
    sb.append("ZSFDF = ''").append(",");
    sb.append("slzy = ''").append(",");
    sb.append("ywbmfzr = ''").append(",");
    sb.append("ywbmdesxspr = ''").append(",");
    sb.append("ysbmfzr = ''").append(",");
    sb.append("fgld = ''").append(",");
    sb.append("zjfhr = ''").append(",");
    sb.append("cwfhr = ''").append(",");
    sb.append("fkzj = ''").append(",");
    sb.append("zjzj = ''").append(",");
    sb.append("cwbmfzr = ''").append(",");
    sb.append("cwzjzhjs = ''").append(",");
    sb.append("dwfzr = ''").append(",");
    sb.append("dangwfzr = ''").append(",");
    sb.append("dsc = ''").append(",");
    sb.append("kpy = ''").append(",");
    sb.append("sjgscwbmfz = ''").append(",");
    sb.append("sjgscwfzr = ''").append(",");
    sb.append("sjgscwzjzhjs = ''").append(",");
    sb.append("sjgsdwfzr = ''").append(",");
    sb.append("sjgsdsc = ''").append(",");
    sb.append("ejgsfkzj = ''").append(",");
    sb.append("ejdwzjzj = ''").append(",");
    sb.append("ejgscwbmfz = ''").append(",");
    sb.append("ejgscwbmfzr = ''").append(",");
    sb.append("ejgscwzjzhjs = ''").append(",");
    sb.append("ejgsdwfzr = ''").append(",");
    sb.append("ejgsdsc = ''").append(",");
    sb.append("gxsd = ''").append(",");
    sb.append("ywlxbm = ''").append(",");
    sb.append("ywyt = ''").append(",");
    sb.append("ysbmshr = ''").append(",");
    sb.append("ZYWLX = ''").append(",");
    sb.append("ZNEXT = ''").append(",");
    sb.append("Requestname = ''").append(",");
    sb.append("MANDT = ''").append(",");
    sb.append("slzyhq = ''").append(",");
    sb.append("ywbmfzrhq = ''").append(",");
    sb.append("ywbmdesxsprfzhq = ''").append(",");
    sb.append("ysbmshrhq = ''").append(",");
    sb.append("ysbmfzrhq = ''").append(",");
    sb.append("fgldhq = ''").append(",");
    sb.append("zjfhrhq = ''").append(",");
    sb.append("cwfhrhq = ''").append(",");
    sb.append("fkzjhq = ''").append(",");
    sb.append("zjzjhq = ''").append(",");
    sb.append("cwbmfzrhq = ''").append(",");
    sb.append("cwzjzhjshq = ''").append(",");
    sb.append("dwfzrhq = ''").append(",");
    sb.append("dwfzrhq1 = ''").append(",");
    sb.append("dschq = ''").append(",");
    sb.append("kpyhq = ''").append(",");
    sb.append("sjgscwbmfzhq = ''").append(",");
    sb.append("sjgscwfzrhq = ''").append(",");
    sb.append("sjgscwzjzhjshq = ''").append(",");
    sb.append("sjgsdwfzrhq = ''").append(",");
    sb.append("sjgsdschq = ''").append(",");
    sb.append("ejgsfkzjhq = ''").append(",");
    sb.append("ejgszjzjhq = ''").append(",");
    sb.append("ejgscwbmfzhq = ''").append(",");
    sb.append("ejgscwbmfzrhq = ''").append(",");
    sb.append("ejgscwzjzhjshq = ''").append(",");
    sb.append("ejgsdwfzrhq = ''").append(",");
    sb.append("ejgsdschq = ''").append(",");
    sb.append("JBRBM = ''").append(",");
    sb.append("tysprtj = ''").append(",");
    sb.append("ywlxms = ''").append(",");
    sb.append("YXBS = ''").append(",");
    sb.append("ssdw = ''").append(",");
    sb.append("smzy = ''").append(",");
    sb.append("xzzy = ''").append(",");
    sb.append("bmfgld = ''").append(",");
    sb.append("gjywzxfzr = ''").append(",");
    sb.append("gjywzxzr = ''").append(",");
    sb.append("fksh = ''").append(",");
    sb.append("zhbgsfzr = ''").append(",");
    sb.append("dzbfzr = ''").append(",");
    sb.append("jgdwzzy = ''").append(",");
    sb.append("jgdwzzwy = ''").append(",");
    sb.append("jgdwfzr = ''").append(",");
    sb.append("smzyhq = ''").append(",");
    sb.append("xzzyhq = ''").append(",");
    sb.append("bmfgldhq = ''").append(",");
    sb.append("gjywzxfzrhq = ''").append(",");
    sb.append("gjywzxzrhq = ''").append(",");
    sb.append("fkshhq = ''").append(",");
    sb.append("zhbgsfzrhq = ''").append(",");
    sb.append("dzbfzrhq = ''").append(",");
    sb.append("jgdwzzyhq = ''").append(",");
    sb.append("jgdwzzwyhq = ''").append(",");
    sb.append("jgdwfzrhq = ''").append(",");
    sb.append("yljd1 = ''").append(",");
    sb.append("yljd2 = ''").append(",");
    sb.append("yljd3 = ''").append(",");
    sb.append("yljd4 = ''").append(",");
    sb.append("yljd5 = ''").append(",");
    sb.append("yljd6 = ''").append(",");
    sb.append("yljd7 = ''").append(",");
    sb.append("yljd8 = ''").append(",");
    sb.append("yljd9 = ''").append(",");
    sb.append("yljd10 = ''").append(",");
    sb.append("yljd1hq = ''").append(",");
    sb.append("yljd2hq = ''").append(",");
    sb.append("yljd3hq = ''").append(",");
    sb.append("yljd4hq = ''").append(",");
    sb.append("yljd5hq = ''").append(",");
    sb.append("yljd6hq = ''").append(",");
    sb.append("yljd7hq = ''").append(",");
    sb.append("yljd8hq = ''").append(",");
    sb.append("yljd9hq = ''").append(",");
    sb.append("yljd10hq = ''").append(",");
    sb.append("yljd11 = ''").append(",");
    sb.append("yljd12 = ''").append(",");
    sb.append("yljd13 = ''").append(",");
    sb.append("yljd14 = ''").append(",");
    sb.append("yljd15 = ''").append(",");
    sb.append("yljd16 = ''").append(",");
    sb.append("yljd17 = ''").append(",");
    sb.append("yljd18 = ''").append(",");
    sb.append("yljd19 = ''").append(",");
    sb.append("yljd20 = ''").append(",");
    sb.append("yljd11hq = ''").append(",");
    sb.append("yljd12hq = ''").append(",");
    sb.append("yljd13hq = ''").append(",");
    sb.append("yljd14hq = ''").append(",");
    sb.append("yljd15hq = ''").append(",");
    sb.append("yljd16hq = ''").append(",");
    sb.append("yljd17hq = ''").append(",");
    sb.append("yljd18hq = ''").append(",");
    sb.append("yljd19hq = ''").append(",");
    sb.append("yljd20hq = ''").append(",");
    sb.append("ZORG = ''").append(",");
    sb.append("bmfgld1 = ''");
    String sql = "update " + this.tablename + " set " + sb.toString() + " where requestid = '" + requestid + "'";
    this.logger.info(sql);
    rs.execute(sql);
  }
  
  private int getUserId(int nodeid, int requestid) {
    RecordSet rs = new RecordSet();
    String sql = "select userid from workflow_currentoperator where isremark='0' and requestid=? and nodeid=? and isreject=?";
    rs.executeQuery(sql, new Object[] { Integer.valueOf(requestid), Integer.valueOf(nodeid), "1" });
    rs.next();
    return rs.getInt("userid");
  }
  
  private final Logger logger = LoggerFactory.getLogger(getClass());
  
  private String sqlCondition(String field, String values) {
    StringBuilder stringBuilder = new StringBuilder();
    for (String value : Util.TokenizerString2(values, ",")) {
      if (stringBuilder.length() > 0)
        stringBuilder.append(" or "); 
      stringBuilder.append("','||to_char(").append(field).append(")||',' like '%,").append(value).append(",%'");
    } 
    if (stringBuilder.length() > 0)
      return "(" + stringBuilder.toString() + ")"; 
    return "(1=1)";
  }
  
  private void addFieldInfo(List<WorkflowRequestTableField> list, String fieldname, String fieldvalue) {
    WorkflowRequestTableField workflowRequestTableField = new WorkflowRequestTableField();
    workflowRequestTableField.setFieldName(fieldname);
    workflowRequestTableField.setFieldValue(fieldvalue);
    workflowRequestTableField.setView(true);
    workflowRequestTableField.setEdit(true);
    list.add(workflowRequestTableField);
  }
  
  private String null0(String value) {
    return value.equals("") ? "0" : value;
  }
  
  private String getTableNameByRequestId(int requestId) {
    RecordSet rs = new RecordSet();
    String sql = "select workflowid from workflow_requestbase where requestid=" + requestId;
    rs.execute(sql);
    rs.next();
    String workflowId = rs.getString(1);
    sql = "select a.tablename from workflow_bill a, workflow_base b where a.id=b.formid and b.id=" + workflowId;
    rs.execute(sql);
    rs.next();
    return rs.getString(1);
  }
}
